<?php


namespace App\Extensions;

use Illuminate\Auth\GenericUser;

/**
 * Extenzija originalnog GenricUser-a, a koja služi kao reprezentacija LDAP korisnika.
 * Class LdapUser
 * @package App\Extensions
 */
class LdapUser extends GenericUser
{
    /**
     * Get the name of the unique identifier for the user.
     *
     * @return string
     */
    public function getAuthIdentifierName()
    {
        return 'uid';
    }

    /**
     * Get the unique identifier for the user.
     *
     * @return mixed
     */
    public function getAuthIdentifier()
    {
        $name = $this->getAuthIdentifierName();

        return $this->attributes[$name];
    }

    /**
     * Get the "remember me" token value.
     *
     * @return string
     */
    public function getRememberToken()
    {
        // Ne koristi se
    }

    /**
     * Set the "remember me" token value.
     *
     * @param  string  $value
     * @return void
     */
    public function setRememberToken($value)
    {
        // Ne koristi se
    }

    /**
     * Get the column name for the "remember me" token.
     *
     * @return string
     */
    public function getRememberTokenName()
    {
        // Ne koristi se
    }
}