<?php

namespace App\Http\Controllers\Admin;

use aosi\HrEduPerson;
use App\Helpers\AosiCoreHelper;
use App\Helpers\HrEdu\HrEduPersonHelper;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class UserAddController extends Controller
{
    /**
     * Ključevi atributa koji su potrebni za unos novog korisnika
     * @var array
     */
    protected $attributeKeys = ['uid', 'hredupersonoib', 'hredupersonuniquenumber', 'userpassword', 'givenname', 'sn',
        'mail', 'hredupersonprimaryaffiliation', 'hredupersonexpiredate', 'ou'];

    protected $attributeDefinitios;

    protected $aosiCore;

    public function __construct()
    {
        $this->aosiCore = AosiCoreHelper::init();
        $this->attributeDefinitios = HrEduPerson::$attribute;

    }

    public function create()
    {
        $user = Auth::user();
//        dd($this->attributeDefinitios);

        return view('admin.dodavanjeKorisnika', [
            'attributeKeys' => $this->attributeKeys,
            'attributeDefinitios' => $this->attributeDefinitios,
            'user' => $user
        ]);
    }

    public function store(Request $request)
    {
        $input = $request->only($this->attributeKeys);

        $userHelper = new HrEduPersonHelper();
        $input = $userHelper->filterEmptyRawRequestValues($input);
        $input = $userHelper->normalizeModifiableAttributes($input);

        $newUserDn = AosiCoreHelper::generateDnForUid($input['uid'][0]);

        $data = [
            $newUserDn => $input
        ];

        $user = Auth::user();

        $addUserResult = $this->aosiCore->ldapAddUserLE(
            $user->uid[0],
            $user->password[0],
            $user->basedn[0],
            $data
        );

        if (!$addUserResult) {
            flash(head($this->aosiCore->result())['message'] ?? 'Greška')->error()->important();
            return redirect(route('admin.user.create'))->withInput();
        }

        flash('Korisnik dodan')->success();
        // Zapamti da je zaporka promijenjena za korisnika.
        AosiCoreHelper::cachePasswordResetInformation($input['uid'][0], $input['userpassword'][0]);

        return redirect(route('admin.user.edit', ['uid' => $input['uid'][0]]));
    }
}
