<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class RedirectIfAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        if (Auth::guard($guard)->check()) {
            $redirectUrl = route('user.edit');
            if (Auth::guard($guard)->user()->bindtype[0] == 'admin') {
                $redirectUrl = route('admin.user.list.show');
            }

            return redirect($redirectUrl);
        }

        return $next($request);
    }
}
