<?php

namespace App\Http\Middleware;

use App\Helpers\AosiCoreHelper;
use Closure;
//use Illuminate\Support\Facades\Route;

class RequirePasswordChange
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (AosiCoreHelper::isPasswordChangeRequired()) {

            // Korisnik mora moći pristupiti formi za promjenu zaporke, pa joj omogući pristup.
            // Za sve ostale rute napravi redirect na formu za promjenu zaporke.
//            $currentRouteName = Route::getRoutes()->match($request)->getName();
            // Ako je middlware u 'web-u', onda do imena route možeš na ovaj način
            $currentRouteName = $request->route()->getName();
            $allowedRoutes = ['user.password.edit', 'user.password.update'];

            if (!in_array($currentRouteName, $allowedRoutes)) {
                AosiCoreHelper::notifyUserAboutPasswordChangeRequirement();
                return redirect(route('user.password.edit'));
            }
        }

        return $next($request);
    }
}
