<?php

namespace App\Providers;

use App\Extensions\LdapGuard;
use App\Extensions\LdapUserProvider;
use Illuminate\Support\Facades\Gate;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Auth;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array
     */
    protected $policies = [
//        'App\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        Gate::define('user', 'App\Policies\RolePolicy@user');
        Gate::define('admin', 'App\Policies\RolePolicy@admin');

        Auth::extend('ldap', function ($app, $name, array $config) {
            // Return an instance of Illuminate\Contracts\Auth\Guard...
            return new LdapGuard(Auth::createUserProvider($config['provider']));
        });

        Auth::provider('ldap', function ($app, array $config) {
            // Return an instance of Illuminate\Contracts\Auth\UserProvider...
            return new LdapUserProvider();
        });
    }
}
