# AOSI

AOSI v2, Laravel

## Init repozitorija
```bash
git clone git@gitlab.srce.hr:aai-eduhr/aosi.git
```
Ako se koristi docker, sljedeće naredbe pokretati u kontejneru

```bash
cd aosi
cp .env.example .env
cp aosi/aosi_config.php.example aosi/aosi_config.php
composer install
php artisan key:generate
```

Primjer korištenja AOSI Core-a dostupan u kontroleru app/Http/Controllers/AOSIDemoController.php

## AOSI Core
AOSI Core se nalazi na putanji aosi/*. Ako Mijo nastavi ažurirati AOSI Core odvojeno od aplikacije, kopiranje novih 
verzija datoteka AOSI Core-a bi se trebalo raditi tako da se u direktorij aosi/ kopiraju sve datoteke osim datoteka
"aosi.log", "aosi_config.php", "action.log",
jer su te datoteke namijenjene pojedinoj instanci aplikacije. Kod izdavanja release-a,
potrebno ih je uključiti u release. Ako Mijo krene ažurirati AOSI Core unutar aplikacije, ovaj naputak se može brisati.

Autoloading AOSI Core-a napravljen na način:
- kopirane sve datoteke AOSI Core-a u direktorij "aosi/"
- u datoteci "composer.json" dodan unos "aosi\\": "aosi/" za PSR4 autoload
- okinuta naredba composer dump-autoload 

### Konfiguracija

U datoteci app/Providers/AppServiceProvider.php postavljeno ignoriranje E_NOTICEa
(error_reporting(E_ALL ^ E_NOTICE); // Ignores notices and reports all other kinds).

Ruta za redirect u slučaju kad korisnik nije autenticiran (middleware auth), konfiguracija na redirect rutu je u
unauthenticated() metodi u app/Exceptions/Handler.php.

U datoteci app/Exceptions/Handler.php nalazi se kod za prikazivanje grešaka u validaciji pomoću laracasts/flash paketa.

### Validatori
aosi_date - provjeri dali je 'NONE' ili ispravan datum. Po defaultu se koristi defaultni datum, a može se dati i
željeni format (npr. aosi_date:d.m.Y.)

## TODO Kristo
- Odabir datoteke na način da se može vidjeti da je datoteka odabrana
- favicon
- tko je prijavljen i koji realm (pored gumbića za odjavu)?

## Distribucija
Distribucija se nalazi u repozitoriju https://gitlab.srce.hr/aai-eduhr/aosi-dist. Taj repo uključuje čitav source,
zajedno s direktorijem 'vendor'. To znači da je datoteka '.gitignore' promijenjena u odnosu na onu u
originalnom repozitoriju.

### Kreiranje distribucije
Napomene za osobu koja kreira/ažurira repozitorij 'aosi-dist':
* ne koporati direktorije .git, .idea
* iz aosi/aosi ne kopirati datoteke koje su navedene u '.gitignore'
* ne kopirati datoteke: '.env', '.gitignore'

Kod prvog push-a distribucije napravljeno:
* u aosi-dist/.gitignore maknut unos '/vendor'
* uključen tracking direktorija 'vendor': $ git add vendor

### Napomene za instalaciju
Sljedeći primjeri narebni napravljeni iz root direktorija aplikacije
* $ cp aosi/aosi_config.php.example aosi/aosi_config.php
* $ (podesiti konfiguraciju u datoteci aosi/aosi_config.php)
* $ cp .env.example .env (datoteka .env.example je pripremljen za produkciju)
* $ php artisan key:generate

Aplikacija mora moći kreirati i pisati u log datoteke (trenutno se nalaze u direktoriju aosi/aosi), 
te u direktorije 'storage' i 'bootstrap/cache'.