<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- CSRF Token -->
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{  $title ?? 'AOSI' . (isset($title_append) ? ' - ' . $title_append : '') }}</title>

        <!-- Vendor styles -->
        <link rel="stylesheet" href="{{ asset('vendors/material-design-iconic-font/css/material-design-iconic-font.min.css') }}">
        <link rel="stylesheet" href="{{ asset('vendors/animate.css/animate.min.css') }}">
        <link rel="stylesheet" href="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.css') }}">

        @yield ('head')

        <!-- App styles -->
        <link rel="stylesheet" href="{{ asset('css/app.min.css') }}">
        <link rel="stylesheet" href="{{ asset('css/style.css') }}">

    </head>
    <body class="boxed-layout" data-ma-theme="green">
        <main class="main">
            @include('_layouts._partials.header')

            <div class="wrapper">
                <div class="container-fluid">
                    @can('user')
                        @include('user._partials.menu')
                    @endcan
                    @can('admin')
                        @include('admin._partials.menu')
                    @endcan

                    @include('flash::message')

                    @yield('content')

                    <br><br><br><br>
                </div>
            </div>

            @include('_layouts._partials.footer')

        </main>

        <!-- Older IE warning message -->
        <!--[if IE]>
        <div class="ie-warning">
            <h1>Warning!!</h1>
            <p>You are using an outdated version of Internet Explorer, please upgrade to any of the following web browsers to access this website.</p>

            <div class="ie-warning__downloads">
                <a href="http://www.google.com/chrome">
                    <img src="img/browsers/chrome.png" alt="">
                </a>

                <a href="https://www.mozilla.org/en-US/firefox/new">
                    <img src="img/browsers/firefox.png" alt="">
                </a>

                <a href="http://www.opera.com">
                    <img src="img/browsers/opera.png" alt="">
                </a>

                <a href="https://support.apple.com/downloads/safari">
                    <img src="img/browsers/safari.png" alt="">
                </a>

                <a href="https://www.microsoft.com/en-us/windows/microsoft-edge">
                    <img src="img/browsers/edge.png" alt="">
                </a>

                <a href="http://windows.microsoft.com/en-us/internet-explorer/download-ie">
                    <img src="img/browsers/ie.png" alt="">
                </a>
            </div>
            <p>Sorry for the inconvenience!</p>
        </div>
        <![endif]-->

        <script type="text/javascript" src="{{ asset('vendors/jquery/jquery.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset('vendors/bootstrap/js/bootstrap.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset('js/app.min.js') }}"></script>

        <script>
            // On DOM ready...
            $(function () {
                // Alert handler
                $('div.alert').not('.alert-important').delay(3000).slideUp(300);
                $('#flash-overlay-modal').modal();

                // Handler za klik na menu select dropdown. Navigiranje na druge stranice pomoću JS.
                $('select.aosi-menu').change(function () {
                    var url = $(this).val();
                    if (url) {
                        window.location.href = url;
                    }
                });
            });
        </script>

        @yield ('tail')
    </body>
</html>
