@extends ('_layouts.app')

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Ažuriranje administratora {{ $uid }}</h5>
                        <p>
                            Info
                            <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                               data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                        </p>

                        <p>
                            Tip administratora: {{ $adminType }}
                        </p>
                        <!-- Modal -->
                        <div class="modal fade" id="modal-default" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title pull-left">Lista administratora</h5>
                                    </div>
                                    <div class="modal-body">

                                        Legenda:<br>
                                        <div class="fileupload add-new-plus">
                                            <span><i class="zmdi zmdi-minus zmdi-hc-fw"></i></span>
                                            <input type="file" class="upload">
                                        </div> - klikom na ovu
                                        ikonicu ukidate ograničenje pored kojeg se
                                        ikonica nalazi. <br>
                                        <div class="fileupload add-new-plus">
                                            <span><i class="zmdi zmdi-plus zmdi-hc-fw"></i></span>
                                            <input type="file" class="upload">
                                        </div> -
                                        postavljanje
                                        novog
                                        ograničenja administratoru. Klikom na ovu
                                        ikonicu otvorit će se novi prozor u kojem ćete moći upisati (ili
                                        odabrati s liste) ograničenje koje želite dodati administratoru.
                                        uid - klikom na uid korisnika odlazite na stranicu na kojoj
                                        možete ažurirati korisnikove podatke.
                                        Ukini sva prava administratoru - klikom link ukinut ćete sva
                                        prava odabranom administratoru.
                                        <br>
                                        <p></p>
                                        Na ovoj stranici možete vidjeti i ažurirati (ako na to imate
                                        pravo s obzirom na to kojoj vrsti administratora pripadate) sva
                                        ograničenja odabranog administratora. Ograničenja su prikazana u
                                        obliku tablice s dva stupca. Na vrhu svakog stupca je naziv
                                        atributa na koji se ograničenja odnose.
                                        Ograničenja postavljena na istom atributu imaju između sebe
                                        logički ili. To znači da administrator koji ima na atributu ou
                                        postavljena npr. tri ograničenja na vrijednosti odjel1, odjel2 i
                                        odjel3, može administrirati korisničke račune korisnika koji u
                                        atributu ou imaju upisanu vrijednost odjel1 ili odjel2 ili
                                        odjel3.
                                        Ograničenja postavljena na različitim atributima između sebe
                                        imaju logički i. To znači da administrator koji ima na atributu
                                        ou postavljena ograničenja odjel1 i odjel2 i na atributu
                                        hrEduPersonAffiliation ograničenja student i vanjski suradnik
                                        može administrirati korisničke račune samo onih korisnika koji u
                                        atributu ou imaju upisanu vrijednost odjel1 ili odjel2 i u
                                        atributu hrEduPersonAffiliation vrijednost student ili vanjski
                                        suradnik.
                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-link" data-dismiss="modal">U
                                            redu</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-2">
                            {{-- Samo ako nije tip admina koji je definiran u konf. datoteci --}}
                            @if($admin['admin_type'] != 1)
                                <form action="{{ route('admin.admin.update', ['uid' => $uid]) }}"
                                      method="post"
                                      class="form-horizontal"
                                      role="form"
                                      data-parsley-validate novalidate>

                                    {{ csrf_field() }}
                                    {{ method_field('put') }}

                                    {{-- Stara URN vrijednost koju je potrebno obrisati prilikom update-a --}}
                                    <input type="hidden" name="oldhredupersonrolevalue" value="{{ $oldHrEduPersonRoleValue }}">


                                    @foreach($adminLimitAttributes as $adminLimitAttribute)
                                        @php($attributeDefinition = $attributeDefinitions[$adminLimitAttribute])
                                        <div class="form-group row req ">
                                            <label class="col-sm-6  col-form-label">
                                                <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                                                   data-placement="top" title=""
                                                   data-original-title="{{ $attributeDefinition->desc }}"></i>
                                                <div class="ikonaInfo">
                                                    {{ $attributeDefinition->name }}
                                                    <br />
                                                    <small>({{ $attributeDefinition->ldapname }})</small>
                                                </div>
                                            </label>
                                            <div class="col-sm-6 aosi-attribute-container" data-attribute-key="{{ $adminLimitAttribute }}">

                                                {{-- Ako korisnik ima value za trenutni $adminLimitAttribute... --}}
                                                @if(isset($limits[$adminLimitAttribute]) && is_array($limits[$adminLimitAttribute]))

                                                    {{-- Za svaku postojeću vrijednost trenutnog $viewableAttributeKey... --}}
                                                    @foreach($limits[$adminLimitAttribute] as $limit)

                                                        {{-- Koristi array sintaksu za name. --}}
                                                        @php($currentElementNameAttribute = $adminLimitAttribute .'[' . $loop->index .']')

                                                        <div class="row form-group aosi-single-attribute">
                                                            <div class="col-sm-12">
                                                                {{-- Ovisno o tipu podatka, prikaži različit tip elementa na formi --}}
                                                                @if($attributeDefinition->type == 'string')
                                                                    <input type="text"
                                                                           class="form-control ja aosi-form-control"
                                                                           value="{{ $limit }}"
                                                                           name="{{ $currentElementNameAttribute }}" />
                                                                @elseif($attributeDefinition->type == 'vocabulary')
                                                                    {{-- Vocabulary je select element --}}
                                                                    <select class="form-control aosi-form-control"
                                                                            name="{{ $currentElementNameAttribute }}">
                                                                        <option value=""></option>
                                                                        @foreach($attributeDefinition->vocabulary as $vocabularyKey => $vocabularyValue)
                                                                            <option value="{{ $vocabularyKey }}"
                                                                                    {{ $limit == $vocabularyKey ? 'selected' : '' }}
                                                                            >{{ $vocabularyValue }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                @else
                                                                    <strong>Neobrađen tip</strong>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                @else
                                                    {{-- Korisnik nema evidentiran podatak. --}}
                                                    {{-- Koristi array sintaksu za name.--}}
                                                    @php($currentElementNameAttribute = $adminLimitAttribute .'[0]')

                                                    <div class="row form-group aosi-single-attribute">
                                                        <div class="col-sm-12">

                                                            {{-- Ovisno o tipu podatka, prikaži različit tip elementa na formi --}}
                                                            @if($attributeDefinition->type == 'string')
                                                                <input type="text"
                                                                       class="form-control ja aosi-form-control"
                                                                       value=""
                                                                       name="{{ $currentElementNameAttribute }}" />
                                                            @elseif($attributeDefinition->type == 'vocabulary')
                                                                {{-- Vocabulary je select --}}
                                                                <select class="form-control aosi-form-control"
                                                                        name="{{ $currentElementNameAttribute }}">
                                                                    <option value=""></option>
                                                                    @foreach($attributeDefinition->vocabulary as $vocabularyKey => $vocabularyValue)
                                                                        <option value="{{ $vocabularyKey }}">
                                                                            {{ $vocabularyValue }}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                            @else
                                                                <strong>Neobrađen tip 2</strong>
                                                            @endif
                                                        </div>
                                                    </div>
                                                @endif

                                                <div class="fileupload add-new-plus aosi-adder">
                                                    <span><i class="zmdi zmdi-plus zmdi-hc-fw"></i></span>
                                                </div>

                                            </div>
                                        </div>
                                    @endforeach

                                    <button type="submit" class="btn btn-primary">
                                        Ažuriraj
                                    </button>
                                    <a href="{{ route('admin.admin.index') }}"
                                       class="btn btn-secondary">
                                        Natrag
                                    </a>
                                </form>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script>
        $(function () {
            // Obrada dodavanja novog elementa za dodavanje atributa.
            $('.aosi-adder').click(function(event) {
                var adder = $(this);
                var attributeContainer = adder.closest('.aosi-attribute-container');
                var singleAttributeRow = attributeContainer.children('.aosi-single-attribute').first();
                var newAttributeRow = singleAttributeRow.clone();
                var formControlElement = newAttributeRow.find('.aosi-form-control');

                formControlElement.val('');

                // Razluči ime obzirom na trenutni broj atributa
                var namePrefix = attributeContainer.data('attribute-key');
                var nameindex = attributeContainer.children('.aosi-single-attribute').length;
                formControlElement.attr('name', namePrefix + '[' + nameindex + ']');

                newAttributeRow.insertBefore(adder);
                // Neki elemeneti su po defaltu skriveni (npr. input za file upload), pa ga prikaži.
                newAttributeRow.show();
            });
        });
    </script>

    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
@stop