@extends('_layouts.app')


@section('content')

    @if($passwordPolicyMessage)
        <div class="row">
            <div class="col-12">
                <div class="card card-box card-outline-warning border-warning">
                    {{ $passwordPolicyMessage }}
                </div>
            </div>
        </div>
    @endif

    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <button class="btn btn-primary"
                        data-toggle="modal"
                        data-target="#passwordResetModal">
                    Promjena zaporke
                </button>
                {{--
                    Ako u cache-u postoji zapis o promjeni zaporke, onda prikaži opciju za ispis.
                    Ispis obavijesti je validno samo određeno vrijeme (jer je zapis u cache-u dostupan određeno vrijeme)
                --}}
                @if(cache()->has(\App\Helpers\AosiCoreHelper::generatePasswordResetCacheKey($resource->uid[0])))
                    <a class="btn btn-secondary" target="_blank"
                       href="{{ route('admin.user.password.reset.notice', ['uid' => $resource->uid[0]]) }}">
                        Ispis obavijesti
                    </a>
                @endif
            </div>

            @component('_layouts.modal', ['id' => 'passwordResetModal', 'title' => 'Promjena zaporke', 'button' => ''])
                <form action="{{ route('admin.user.password.reset', ['uid' => $resource->uid[0]]) }}"
                      method="post"
                      class="form-horizontal"
                      role="form"
                      data-parsley-validate novalidate>

                    {{ csrf_field() }}
                    {{ method_field('patch') }}

                    @php($attributeDefinition = $allAttributeDefinitions['userpassword'])
                    <div class="form-group row req">
                        <label class="col-sm-6  col-form-label">
                            <div class="ikonaInfo">
                                {{ $attributeDefinition->name }}
                                <br />
                                <small>({{ $attributeDefinition->ldapname }})</small>
                            </div>
                            <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                               data-placement="top" title=""
                               data-original-title="{{ $attributeDefinition->desc }}">
                            </i>
                        </label>
                        <div class="col-sm-6">
                            <input type="text" name="userpassword"
                                   class="form-control"
                                   {{ $attributeDefinition->must == 'true' ? 'required' : '' }}
                                   {!! isset($attributeDefinition->attrtype['length']) ? 'maxlength="' . $attributeDefinition->attrtype['length'] .'"' : '' !!}
                                   value="{{ \App\Helpers\AosiCoreHelper::generateRandomPassword() }}" />
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">
                        Promijeni
                    </button>
                </form>

            @endcomponent
        </div>
    </div>

    @include('shared.azuriranjeForma')

@endsection

@section('head')

    @stack('head_stack')

@endsection

@section('tail')

    @stack('tail_stack')

@endsection
