@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/rateyo/jquery.rateyo.min.css') }}">
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Ažuriranje korisnika (iz tekst. datoteke)</h5>
                        <p>
                            Info
                            <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                               data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                        </p>

                        <!-- Default -->
                        <div class="modal fade" id="modal-default" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title pull-left">Kako formatirati
                                            tekstualnu datoteku za ažuriranje korisnika:</h5>
                                    </div>
                                    <div class="modal-body">
                                        Ako imate potrebu ažurirati podatke većeg broja korisnika, a
                                        podatke imate ili možete prirediti u obliku tekstualne
                                        datoteke, u nastavku su upute kako to napraviti: Bitno je
                                        naglasiti da se kroz tekstualnu datoteku u svaki atribut
                                        može upisati samo jedna vrijednost, te da će stare
                                        vrijednosti atributa biti obrisane.
                                        Ako je prije promjene neki atribut nekog korisnika imao više
                                        vrijednosti, nakon promjene će imati samo onu vrijednost
                                        koja je za taj atribut i tog korisnika navedena u datoteci.
                                        Kroz tekstualnu datoteku mogu biti promjenjene vrijednosti
                                        svih atributa (osim slika) koji postoje u shemi i koje
                                        administrator ima pravo mjenjati.
                                        Kako formatirati tekstualnu datoteku za ažuriranje podataka
                                        o korisnicima:
                                        Format tekstualne datoteke mora biti slijedeći:
                                        U prvoj liniji datoteke treba biti naveden "uid", te nazivi
                                        svih atributa čiju vrijednost želite zamjeniti vrijednosti
                                        iz datoteke (odvojeni nekim delimiterom).
                                        U svakom slijedećem redku datoteke trebaju biti podaci za po
                                        jednog korisnika. Naravno, vrijednosti pojedinih atributa u
                                        redku trebaju biti poredane istim redoslijedom i odvojene
                                        istim delimiterom kao i nazivi atributa iz prvog redka.
                                        U svakom redku datoteke obavezno mora biti naveden uid
                                        korisnika
                                        <br>
                                        Primjer tekstualne datoteke:
                                        <p class="porukaModal">
                                            uid;hrEduPersonExpireDate<br>
                                            test;NONE<br>
                                            testa;01.09.2006.<br>
                                            testb;31.10.2007.<br>
                                        </p>
                                        <strong>Upload datoteke: </strong> <br>
                                        Iz padajuće liste odaberete encoding (ako je datoteka
                                        nastala korištenjem nekog tekst editora pod windows
                                        operativnim sustavom, obično je to windows 1250), zatim
                                        upišete delimiter koji ste koristili u datoteci, kliknete na
                                        gumb Browse i odaberete datoteku za prijenos, te kliknete na
                                        gumb Promjeni.
                                        Nakon što se obradi lista korisnika kojima želite promjeniti
                                        vrijednost atributa, bit će Vam prikazan izvještaj iz kojega
                                        možete vidjeti je li operacija ažuriranja bila uspješna za
                                        svakog pojedinog korisnika s liste.
                                        Preporuka je zbog nekih ograničenja (npr. timeout) kroz
                                        tekstualnu datoteku odjednom ne raditi promjene na više od
                                        100-tinjak korisnika (naravno, taj broj ovisi o raznim
                                        parametrima kao snaga poslužitelja, opterećenost i sl).
                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-link"
                                                data-dismiss="modal">U redu</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        @if(!isset($result))

                            @include('admin._partials.csvForm', ['route' => route('admin.user.from-file.updateStore')])

                        @elseif($result)

                            @include('admin._partials.csvFormResult', ['route' => route('admin.user.from-file.update')])

                        @endif

                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/rateyo/jquery.rateyo.min.js') }}"></script>
@stop