@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/rateyo/jquery.rateyo.min.css') }}">
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Brisanje korisnika (iz tekst. datoteke)</h5>

                        <p>
                            Info
                            <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                               data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                        </p>

                        <!-- Default -->
                        <div class="modal fade" id="modal-default" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title pull-left">Kako formatirati
                                            tekstualnu datoteku za brisanje korisnika:</h5>
                                    </div>
                                    <div class="modal-body">
                                        Brisanje korisnika iz tekstuane datoteke
                                        Ako imate potrebu obrisati veći broj korisnika, a podatke
                                        imate ili možete prirediti u obliku tekstualne datoteke, u
                                        nastavku su upute kako to napraviti: Bitno je naglasiti da
                                        je operacija brisanja nepovratna.
                                        Kako formatirati tekstualnu datoteku za brisanje korisnika:
                                        Vrlo jednostavno. U svakom retku datoteke treba biti po
                                        jedan uid korisnika kojeg želite obrisati. <br>Primjer
                                        tekstualne datoteke:
                                        <br>
                                        <p class="porukaModal">
                                            pperic <br>
                                            mmaric<br>
                                            hhorvat
                                        </p>
                                        <strong>Upload datoteke: </strong> <br>
                                        Kliknite na gumb Browse i odaberete datoteku za prijenos, te
                                        kliknete na gumb Obriši.
                                        Nakon što se obradi lista korisnika koje želite obrisati,
                                        bit će Vam prikazan izvještaj iz kojega možete vidjeti je li
                                        operacija brisanja bila uspješna za svakog pojedinog
                                        korisnika s liste.
                                        Preporuka je zbog nekih ograničenja (npr. timeout) kroz
                                        tekstualnu datoteku odjednom ne brisati više od 100-tinjak
                                        korisnika (naravno, taj broj ovisi o raznim parametrima kao
                                        snaga poslužitelja, opterećenost i sl).
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-link"
                                                data-dismiss="modal">U redu</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        @if(!isset($result))

                            @include('admin._partials.csvForm', [
                                'route' => route('admin.user.from-file.deleteStore'),
                                'noDelimiter' => true
                            ])

                        @elseif($result)

                            @include('admin._partials.csvFormResult', ['route' => route('admin.user.from-file.delete')])

                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/rateyo/jquery.rateyo.min.js') }}"></script>
@stop