@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
{{--    <link rel="stylesheet" href="{{ asset('vendors/rateyo/jquery.rateyo.min.css') }}">--}}
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Dodavanje korisnika</h5>
                        <div class="p-2">

                            <form action="{{ route('admin.user.store') }}"
                                  method="post"
                                  class="form-horizontal"
                                  role="form">

                                {{ csrf_field() }}
                                {{ method_field('post') }}

                                @foreach($attributeKeys as $attributeKey)
                                    @if($attributeKey == 'hredupersonuniquenumber')
                                        {{-- hredupersonuniquenumber crtam posebno --}}
                                        @continue
                                    @endif

                                    @php
                                        $attributeDefinition = $attributeDefinitios[$attributeKey];
                                        $inputName = $attributeDefinition->multiple == 'true' ? $attributeKey .'[0]' : $attributeKey;
                                    @endphp
                                    <div class="form-group row req">
                                        <label class="col-sm-6  col-form-label">
                                            <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                                               data-placement="top" title=""
                                               data-original-title="{{ $attributeDefinition->desc }}"></i>
                                            <div class="ikonaInfo">
                                                {{ $attributeDefinition->name }}{{ $attributeDefinition->must == 'true' ? '*' : '' }}
                                                <br />
                                                <small>{{ $attributeDefinition->ldapname }}</small>
                                            </div>
                                        </label>
                                        <div class="col-sm-6">
                                            @if($attributeDefinition->type == 'vocabulary')
                                                <select name="{{ $inputName }}"
                                                        class="form-control"
                                                        {{ $attributeDefinition->must == 'true' ? 'required' : '' }}>
                                                    @foreach($attributeDefinition->vocabulary as $key => $value)
                                                        <option value="{{ $key }}"
                                                            @if(old($attributeKey))
                                                                @php
                                                                    $oldValue = is_array(old($attributeKey)) ? old($attributeKey)[0] : old($attributeKey);
                                                                @endphp
                                                                {{ $oldValue == $key ? 'selected' : '' }}
                                                            @endif
                                                        >
                                                            {{ $value }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            @else
                                            <input type="text"
                                                   class="form-control {{ $attributeDefinition->type == 'date' ? 'aosi-date-picker' : '' }}"
                                                   {{ $attributeDefinition->must == 'true' ? 'required' : '' }}
                                                   {!! isset($attributeDefinition->attrtype['length']) ? 'maxlength="' . $attributeDefinition->attrtype['length'] .'"' : '' !!}
                                                   @if($attributeKey == 'userpassword')
                                                        value="{{ \App\Helpers\AosiCoreHelper::generateRandomPassword() }}"
                                                   @elseif(old($attributeKey))
                                                        value="{{ is_array(old($attributeKey)) ? old($attributeKey)[0] : old($attributeKey) }}"
                                                   @endif
                                                   name="{{ $inputName }}" />
                                            @endif
                                        </div>
                                    </div>

                                    {{-- Ako je hredupersonoib, onda prikaži input za hredupersonuniquenumber --}}
                                    @if($attributeKey == 'hredupersonoib')
                                        @php
                                            $attributeKey = 'hredupersonuniquenumber';
                                            $attributeDefinition = $attributeDefinitios[$attributeKey];
                                            $inputName = $attributeDefinition->multiple == 'true' ? $attributeKey .'[0]' : $attributeKey;
                                        @endphp
                                        <div class="form-group row req aosi-hredupersonuniquenumber" style="display: none;">
                                            <label class="col-sm-6  col-form-label">
                                                <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                                                   data-placement="top" title=""
                                                   data-original-title="{{ $attributeDefinition->desc }}"></i>
                                                <div class="ikonaInfo">
                                                    {{ $attributeDefinition->name }}{{ $attributeDefinition->must == 'true' ? '*' : '' }}
                                                    <br />
                                                    <small>{{ $attributeDefinition->ldapname }}</small>
                                                    <br>
                                                    <small>Potrebno unijeti kada je OIB = 'NONE'</small>
                                                </div>
                                            </label>
                                            <div class="col-sm-2">
                                                <select name="{{ $inputName }}[prefix]"
                                                        class="form-control"
                                                        {{ $attributeDefinition->must == 'true' ? 'required' : '' }}
                                                        disabled>
                                                    @foreach($attributeDefinition->hredupersonuniquenumber_prefix as $prefix)
                                                        @if($prefix != 'OIB')
                                                            <option value="{{ $prefix }}"
                                                                @if(old($attributeKey))
                                                                    {{ old($attributeKey)[0]['prefix'] == $prefix ? 'selected' : '' }}
                                                                @endif
                                                            >{{ $prefix }}</option>
                                                        @endif
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="col-sm-4">
                                                <input type="text"
                                                       class="form-control "
                                                       {{ $attributeDefinition->must == 'true' ? 'required' : '' }}
                                                       {!! isset($attributeDefinition->attrtype['length']) ? 'maxlength="' . $attributeDefinition->attrtype['length'] .'"' : '' !!}
                                                       @if(old($attributeKey))
                                                            value="{{ old($attributeKey)[0]['value'] }}"
                                                       @endif
                                                       name="{{ $inputName }}[value]"
                                                       disabled/>
                                            </div>
                                        </div>
                                    @endif
                                @endforeach

                                <div class="form-group row req">
                                    <div class="col">
                                        <p><small>atributi označeni * su obavezni</small></p>
                                    </div>
                                    <div class="col">

                                        @if ($user->adminlevel[0] == 3 && $user->limitations)
                                            <small>
                                                Kao administrator s ograničenjem možete evidentirati sljedeće
                                                vrijednosti atributa:
                                            </small>
                                            <ul>
                                            @foreach ($user->limitations as $attributeKey => $attributeValues)
                                                <li>
                                                    <small>
                                                    <strong>{{ $attributeKey }}:</strong>
                                                    {{ implode(', ', $attributeValues) }}
                                                    </small>
                                                </li>
                                            @endforeach
                                            </ul>
                                        @endif

                                    </div>
                                </div>

                                <button type="submit" class="btn btn-primary">
                                    Dodaj
                                </button>
                                <button type="reset" class="btn btn-secondary">
                                    Poništi
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script>
        $(function () {
            // Inicijalizacija kalendara
            $('.aosi-date-picker').flatpickr({
                dateFormat: '{{ \App\Helpers\AosiCoreHelper::getDefaultDateFormat() }}',
                defaultDate: '{{ \App\Helpers\AosiCoreHelper::generateDefaultHrEduPersonExpireDate() }}',
                allowInput: true,
                locale: 'hr'
            });

            // Ako je OIB = 'NONE', onda treba dodati jedan hrEduPersonUniqueNumber koji nije OIB, a temeljna
            // povezanost sa ustanovom treba biti 'gost'
            $('[name="hredupersonoib"]').change(aosiHandleOibNone);
            aosiHandleOibNone();
        });

        /**
         * Prikaži ili sakrij hredupersonprimaryaffiliation input ovisno o vrijednosti OIBa
         */
        function aosiHandleOibNone() {
            var oibInput =  $('[name="hredupersonoib"]');
            var uniqueNumberRow = $('div.aosi-hredupersonuniquenumber');
            var primaryAffiliationInput = $('[name="hredupersonprimaryaffiliation"]');

            // Ako je 'NONE' prikaži formu za unos hrEduPersonUniqueNumber i postavi hrEduPersonPrimaryAffiliation na gost
            if (oibInput.val() === 'NONE') {
                uniqueNumberRow.fadeIn();
                uniqueNumberRow.find(':input').prop('disabled', false);
                primaryAffiliationInput.val('gost');
            } else {
                uniqueNumberRow.fadeOut();
                uniqueNumberRow.find(':input').prop('disabled', true);
            }
        }
    </script>

    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/hr.js') }}"></script>
    <script src="{{ asset('vendors/rateyo/jquery.rateyo.min.js') }}"></script>
@stop