@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/rateyo/jquery.rateyo.min.css') }}">
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Dodavanje korisnika (iz tekst. datoteke)</h5>

                        <p>
                            Info
                            <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                               data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                        </p>

                        <!-- Default -->
                        <div class="modal fade" id="modal-default" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title pull-left">Kako formatirati
                                            tekstualnu datoteku za dodavanje korisnika:</h5>
                                    </div>
                                    <div class="modal-body">
                                        Format tekstualne datoteke mora biti slijedeći:
                                        U prvoj liniji tekstualne datoteke trebaju biti navedeni
                                        nazivi atributa koje želite unijeti za korisnike na listi
                                        (odvojeni nekim delimiterom). Minimalan set atributa koji
                                        treba postojati za svakog korisnika je:
                                        <ul>
                                            <li>uid (Identifikator korisnika u ustanovi)</li>

                                            <li>hrEduPersonOIB (OIB osobe)</li>
                                            <li>userPassword (Zaporka)</li>
                                            <li>givenName (Ime)</li>
                                            <li>sn (Prezime)</li>
                                            <li>mail (Elektronička adresa)</li>
                                            <li>hrEduPersonPrimaryAffiliation (Temeljna povezanost s
                                                ustanovom)</li>
                                            <li>hrEduPersonExpireDate (Datum isteka temeljne
                                                povezanosti) -
                                                format datuma: dd.mm.gggg. </li>
                                        </ul>
                                        a mogu biti upisani svi atributi koji postoje u shemi.
                                        Kroz tekstualnu datoteku za svaki atribut moguće je upisati
                                        samo jednu vrijednost.
                                        U svakom slijedećem redku datoteke trebaju biti podaci za po
                                        jednog korisnika. Naravno, vrijednosti pojedinih atributa u
                                        redku trebaju biti poredane istim redoslijedom i odvojene
                                        istim delimiterom kao i nazivi atributa iz prvog redka. <br>
                                        Primjer tekstualne datoteke:
                                        <p class="porukaModal">
                                            uid;userPassword;givenName;sn;hrEduPersonOIB;mail;hrEduPersonPrimaryAffiliation;hrEduPersonExpireDate
                                            test;password12;Testko;Testić;12345678901;test@srce.hr;djelatnik;NONE
                                            testa;apassword12;Testko1;Testić;NONE;test@srce.hr;učenik;01.09.2006.
                                            testb;bpassword12;Testko2;Testić;10987654321;test@srce.hr;student;31.10.2007.

                                        </p>
                                        <strong>Upload datoteke: </strong> <br>
                                        Iz padajuće liste odaberete encoding (ako je datoteka
                                        nastala korištenjem nekog tekst editora pod windows
                                        operativnim sustavom, obično je to windows 1250), zatim
                                        upišete delimiter koji ste koristili u datoteci, kliknete na
                                        gumb Browse i odaberete datoteku za prijenos, te kliknete na
                                        gumb Dodaj.
                                        Nakon što se obradi lista korisnika koje želite dodati, bit
                                        će Vam prikazan izvještaj iz kojega možete vidjeti je li
                                        operacija dodavanja bila uspješna za svakog pojedinog
                                        korisnika s liste.
                                        Preporuka je zbog nekih ograničenja (npr. timeout) kroz
                                        tekstualnu datoteku odjednom ne dodavati više od 100-tinjak
                                        korisnika (naravno, taj broj ovisi o raznim parametrima kao
                                        snaga poslužitelja, opterećenost i sl).
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-link"
                                                data-dismiss="modal">U redu</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        @if(!isset($result))

                            @include('admin._partials.csvForm', ['route' => route('admin.user.from-file.addStore')])

                        @elseif($result)

                            @include('admin._partials.csvFormResult', ['route' => route('admin.user.from-file.add')])

                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/rateyo/jquery.rateyo.min.js') }}"></script>
@stop