@extends ('_layouts.app')

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Popis administratora imenika</h5>
                        <p>
                            Info
                            <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                               data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                        </p>
                        <!-- Default -->
                        <div class="modal fade" id="modal-default" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title pull-left">Lista administratora</h5>
                                    </div>
                                    <div class="modal-body">
                                        <table width="100%" cellspacing="2" cellpadding="2">
                                            <tbody><tr>
                                                <td>
                                                    <br>
                                                    Legenda:<br><br>
                                                    <i class="zmdi zmdi-delete zmdi-hc-fw ukidanjePrava"></i> - klikom na ovu ikonicu oduzimate prava administratoru.<br>
                                                    <i class="zmdi zmdi-zoom-in zmdi-hc-fw detaljnijeIkona"></i>- klikom na ovu ikonicu odlazite na stranicu na kojoj je popis ograničenja za administratora s mogućnošću dodavanja i ukidanja ograničenja.<br>
                                                    <u>uid</u> - klikom na uid korisnika odlazite na stranicu na kojoj možete ažurirati korisnikove podatke.
                                                    <br>
                                                    <br>
                                                    U AOSI sustavu postoje tri vrste administratora:
                                                    <ol>
                                                        <li><b>Administrator iz konfiguracijske datoteke</b> je administrator čiji je uid naveden u konfiguracijskoj
                                                            datoteci AOSI web servisa.
                                                            <ul>
                                                                <li>ima pravo kroz AOSI administrirati sve korisničke račune u LDAP imeniku ustanove.</li>
                                                                <li>može ovlastiti druge korisnike za administriranje svih korisničkih računa u imeniku.</li>
                                                                <li>može drugim administratorima postavljati ograničenja.</li>
                                                                <li>može drugim administratorima oduzeti prava administriranja imenika (osim ako su administratori iz konf. datoteke).</li>
                                                                <li>ovoj vrsti administratora ne mogu biti postavljena ograničenja.</li>
                                                                <li>ovoj vrsti administratora se pravo na administriranje korisničkih računa ne može oduzeti kroz web sučelje, već brisanjem iz konfiguracijske datoteke AOSI web servisa.</li>
                                                            </ul>
                                                        </li>
                                                        <li><b>Administrator iz imenika</b> je administrator imenika koji ima u jednu od vrijednosti atributa hrEduPersonRole "administrator imenika".
                                                            <ul>
                                                                <li>ima pravo kroz AOSI administrirati sve korisničke račune u LDAP imeniku ustanove.</li>
                                                                <li>može ovlastiti druge korisnike za administriranje svih korisničkih računa u imeniku.</li>
                                                                <li>može drugim administratorima postavljati ograničenja.</li>
                                                                <li>može drugim administratorima oduzeti prava administriranja imenika (osim ako su administratori iz konf. datoteke).</li>
                                                                <li>prava mu se mogu ograničiti i onda prelazi u ograničene administratore.</li>
                                                                <li>ovoj vrsti administratora se pravo na administriranje korisničkih računa može oduzeti kroz web sučelje ili na način da mu se obriše vrijednost "administrator imenika" atributa hrEduPersonRole, ili da mu se kroz listu administra klikom na ikonicu <img src="../images/obrisi.gif" border="0"> oduzmu prava administriranja imenika.</li>
                                                            </ul>
                                                        </li>
                                                        <li><b>Administrator iz imenika s ograničenjem</b> je administrator imenika koji ima pravo administrirati samo dio korisnika u LDAP imeniku (ovisno o njegovim ograničenjima i vrijednostima pojedinih atributa korisnika)
                                                            <ul>
                                                                <li>ograničenja mu se mogu postaviti s obzirom na vrijednosti atributa ou i hrEduPersonAffiliation</li>
                                                                <li>ima pravo kroz AOSI administrirati one korisnike koji imaju u atribut ou i atribut hrEduPersonAffiliation upisane one vrijednosti na koje su mu postavljena ograničenja npr. ako administrator ima postavljena ograničenja na vrijednosti atributa ou odjel1 i odjel2 i na vrijednosti atributa hrEduPersonAffiliation student, onda takav admin može vidjeti i ažurirati podatke o korisničkim računima samo onih korisnika koji u atribut ou imaju upisanu vrijednost odjel1 ili odjel2 i u atribut hrEduPersonAffiliation vrijednost student</li>
                                                                <li>može ovlastiti druge korisnike za administriranje korisničkih računa u imeniku, ali njima se automatski postavljaju ista ograničenja koja ima sam administrator.</li>
                                                                <li>ne može drugim administratorima postavljati ograničenja.</li>
                                                                <li>može oduzeti prava samo onim administratorima kojima smije administrirati korisnički račun s obzirom na svoja ograničenja</li>
                                                                <li>ovoj vrsti administratora se pravo na administriranje korisničkih računa može oduzeti kroz web sučelje ili na način da mu se obriše vrijednost "urn:administrator imenika:..." atributa hrEduPersonRole, ili da mu se kroz listu administra klikom na ikonicu <img src="../images/obrisi.gif" border="0"> oduzmu prava administriranja imenika.</li>
                                                            </ul>
                                                        </li>
                                                    </ol></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-link" data-dismiss="modal">U
                                            redu</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-2">
                            <div class="table-responsive">
                                <table id="data-table-custom" class="responsive-table table table-bordered">
                                    <thead>
                                    <tr>
                                        <th>Korisnička oznaka</th>
                                        <th>Ime i prezime</th>
                                        <th>Vrsta administratora</th>
                                        <th>Detaljnije</th>
                                        <th>Ukidanje prava</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    @php($adminTypes = \App\Helpers\AosiCoreHelper::getAdminTypes())
                                    @foreach($admins as $admin)
                                        <tr>
                                            <td data-title="Korisnička oznaka:">
                                                <a href="{{ route('admin.user.edit', ['uid' => $admin['uid'][0]]) }}"
                                                   class="edit">{{ $admin['uid'][0] }}</a>
                                            </td>
                                            <td data-title="Ime i prezime:">{{ $admin['cn'][0] }}</td>
                                            <td data-title="Vrsta administratora:">
                                                {{ $adminTypes[$admin['admin_type']] }}
                                            </td>
                                            <td data-title="Detaljnije">
                                                {{-- Samo ako nije admin definiran u konfiguracijskoj datoteci --}}
                                                @if($admin['admin_type'] != 1)
                                                    <a href="{{ route('admin.admin.edit', ['uid' => $admin['uid'][0]]) }}"
                                                       class="btn btn-default edit">
                                                        <i class="zmdi zmdi-zoom-in zmdi-hc-fw detaljnijeIkona"></i>
                                                    </a>
                                                @endif
                                            </td>
                                            <td data-title="Ukidanje prava:">
                                                {{-- Samo ako nije admin definiran u konfiguracijskoj datoteci --}}
                                                @if($admin['admin_type'] != 1)
                                                    <form method="post"
                                                        action="{{ route('admin.admin.revoke', ['uid' => $admin['uid'][0]]) }}">
                                                        {{ csrf_field() }}
                                                        {{ method_field('delete') }}
                                                        <button type="button"
                                                                class="btn btn-default"
                                                                onclick="confirm('Jeste li sigurni?') ? $(this).closest('form').submit() : false;">
                                                            <i class="zmdi zmdi-delete zmdi-hc-fw ukidanjePrava"></i>
                                                        </button>
                                                    </form>
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script>
        $(function () {
            $('#data-table-custom').dataTable( {
                "paging": false
            } );
        });
    </script>
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
@stop