@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/sweetalert2/sweetalert2.min.css') }}">
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Uvjeti pretrage</h5>
                        <p>
                            <small>
                                Za dohvat podataka o korisnicima unesite uvjete pretrage i
                                pritisnite gumb "Prikaži".
                            </small>
                        </p>
                        <div class="p-2">
                            <form action="{{ route('admin.user.bulk-management.show') }}"
                                  method="get"
                                  class="form-horizontal"
                                  role="form"
                                  id="filter">

                                {{--{{ csrf_field() }}--}}
                                {{--{{ method_field('get') }}--}}

                                @foreach($attributeKeys as $attributeKey)
                                    @php
                                        $attributeDefinition = $attributeDefinitions[$attributeKey];
                                        $inputName = $attributeKey;
                                    @endphp
                                    <div class="form-group row req">
                                        <label class="col-sm-6  col-form-label">
                                            <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                                               data-placement="top" title=""
                                               data-original-title="{{ $attributeDefinition->desc }}"></i>
                                            <div class="ikonaInfo">
                                                {{ $attributeDefinition->name }}
                                                <br />
                                                <small>({{ $attributeDefinition->ldapname }})</small>
                                            </div>
                                        </label>
                                        <div class="col-sm-6">
                                            @unless($attributeKey == 'hredupersonexpiredate') {{-- hrEduPersonExpireDate crtam posebno --}}
                                            @if($attributeDefinition->type == 'vocabulary')
                                                <select name="{{ $inputName }}"
                                                        class="form-control filter-field">
                                                    <option value="">- odaberi -</option>
                                                    @foreach($attributeDefinition->vocabulary as $key => $value)
                                                        <option value="{{ $key }}"
                                                        @if(request($attributeKey))
                                                            {{ request($attributeKey) == $key ? 'selected' : '' }}
                                                                @endif
                                                        >
                                                            {{ $value }}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            @else
                                                <input type="text"
                                                       class="form-control filter-field {{ $attributeDefinition->type == 'date' ? 'date-picker-custom' : '' }}"
                                                       {!! isset($attributeDefinition->attrtype['length']) ? 'maxlength="' . $attributeDefinition->attrtype['length'] .'"' : '' !!}
                                                       @if(request($attributeKey))
                                                       value="{{ request($attributeKey) }}"
                                                       @endif
                                                       name="{{ $inputName }}" />
                                            @endif
                                            @else
                                                <div class="input-group">
                                                    <input type="text"
                                                           class="form-control filter-field date-picker-custom date-filter"
                                                           @if(request($attributeKey))
                                                           value="{{ request($attributeKey) }}"
                                                           @endif
                                                           name="{{ $inputName }}" />
                                                    <div class="input-group-append">
                                                        <button class="btn btn-outline-secondary date-none-btn" type="button">
                                                            NONE
                                                        </button>
                                                    </div>
                                                    <div class="input-group-append">
                                                        <button class="btn btn-outline-secondary date-clear-btn" type="button">
                                                            <i class="zmdi zmdi-close"></i>
                                                        </button>
                                                    </div>
                                                </div>
                                            @endunless
                                        </div>
                                    </div>
                                @endforeach
                                <p>
                                    Info
                                    <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                                       data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                                </p>
                                <!-- Default -->
                                <div class="modal fade" id="modal-default" tabindex="-1">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title pull-left">Legenda:</h5>
                                            </div>
                                            <div class="modal-body">
                                                <p>
                                                    <strong><u>uid</u></strong> - Klikom na korisničku oznaku odlazite na
                                                    stranicu
                                                    na kojoj možete ažurirati korisnikove podatke.
                                                </p>
                                                <p>
                                                    <i class="zmdi zmdi-delete zmdi-hc-fw ukidanjePrava"></i> - Brisanje
                                                    korisnika. Klikom na ovu ikonu (ako potvrdno odgovorite na pitanje u
                                                    prozoru koji će iskočiti nakon klika) obrisat ćete korisnika.
                                                </p>
                                                <p>
                                                    <button class="btn btn-primary ml-2" type="button">
                                                        <i class="zmdi zmdi-file-text"></i>
                                                        <span>CSV</span>
                                                    </button>
                                                    - izvoz svih korisnika koji zadovoljavaju trenutačno unesene uvjete
                                                    pretrage (ne samo onih prikazanih u trenutačnoj tablici rezultata) u
                                                    csv datoteku. Klik na ovaj gumb otvara izbornik na dnu stranice u
                                                    kojemu možete odabrati atribute čije vrijednosti želite eksportirati
                                                    za svakog korisnika.
                                                </p>
                                                <p>
                                                    Ova stranica logički je podjeljena na tri dijela. Prvi dio na vrhu
                                                    služi za postavljanje uvjeta pretrage. Kad kliknete na gumb "Prikaži",
                                                    u nastavku se pojavljuje tablica s rezultatima pretrage. Ako kliknete
                                                    na gumb "CSV", u trećem, donjem dijelu stranice pojavit će se popis
                                                    atributa čije vrijednosti za tražene korisnike možete eksportirati.
                                                </p>
                                                <h6>Postavljanje uvjeta pretrage</h6>
                                                <p>
                                                    U polja pored naziva atributa upišite vrijednost (ili je odaberite s
                                                    liste) i kliknite na Prikaži. Kod postavljanje uvjeta pretrage znak
                                                    * zamjenjujuje bilo koji niz znakova ili prazan skup. Tako ćete,
                                                    npr., ako u polje uid upišete m* dobiti sve korisnike kojima uid
                                                    počinje slovom m. Ako postavite više uvjeta pretrage, rezultat će
                                                    biti oni korisnici koji zadovoljavaju sve postavljene uvjete. Ako ne
                                                    upišete nijedan uvjet pretrage i kliknete na Prikaži, dobit ćete
                                                    listu svih korisnika (čije korisničke račune imate pravo
                                                    administrirati).
                                                </p>
                                                <h6>Popis korisnika koji zadovoljavaju uvjete pretrage</h6>
                                                <p>
                                                    U nastavku stranice prikazana je tablica svih korisnika koji
                                                    zadovoljavaju uvjete pretrage. Popis je podijeljen na stranice; broj
                                                    korisnika prikazanih na jednoj stranici moguće je podesiti pomoću
                                                    izbornika na vrhu tablice, a stranice možete pregledavati koristeći
                                                    traku za kretanje po stranicama (pager) pri dnu tablice. Pored te
                                                    trake naveden je i broj prikazanih od ukupnog broja redaka. Ukupan
                                                    broj redaka odgovara ukupnom broju pronađenih korisnika koji
                                                    zadovoljavaju uvjete pretrage. Sve pronađene korisnike moguće je
                                                    eksportirati u csv datoteku koristeći gumb "CSV" na dnu. Klik na kor.
                                                    oznaku korisnika u prvom stupcu vodi vas na stranicu na kojoj je
                                                    moguće ažurirati podatke o korisniku. Ikonica u zadnjem stupcu s
                                                    desne strane služi za brisanje korisnika. Klinete li na tu ikonicu,
                                                    ponudit će vam se brisanje korisničkog računa prikazanog u tom retku.
                                                </p>
                                                <h6>Popis atributa za izvoz</h6>
                                                <p>
                                                    Klikom na gumb "CSV", na stranici se otvara popis svih atributa koje
                                                    je moguće odabrati za izvoz u CSV datoteku. Označite pojedinačne
                                                    atribute ili kliknite na "označi sve" te potom kliknite na gumb
                                                    "Dohvati CSV datoteku". Obratite pozornost na to da se lista
                                                    korisnika čije odabrane atribute dohvaćamo unutar CSV datoteke kreira
                                                    u skladu s trenutačno unesenim uvjetima pretrage. Dakle, klikom na
                                                    "Dohvati CSV datoteku", obavlja se nova pretraga korisnika po
                                                    uvjetima naznačenim u poljima na vrhu stranice, a potom se kreira
                                                    CSV datoteka s vrijednostima atributa odabranih s ovog popisa za
                                                    svakog od korisnika pronađenih tom pretragom.
                                                </p>
                                            </div>
                                            <div class="modal-footer">

                                                <button type="button" class="btn btn-link"
                                                        data-dismiss="modal">U redu</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn-primary filter-submit-btn ml-2" type="button">
                                    <i class="zmdi zmdi-settings zmdi-hc-spin spinner-icon" style="display: none"></i>
                                    <i class="zmdi zmdi-search main-icon"></i>
                                    <span class="filter-submit-btn-text">Prikaži</span>
                                </button>
                                <button class="btn btn-primary export-show-btn ml-2" type="button" onclick="showExport()">
                                    <i class="zmdi zmdi-file-text"></i>
                                    <span>CSV</span>
                                </button>
                                <button class="btn btn-light clear-btn ml-2" type="button">
                                    <span class="filter-submit-btn-text">Očisti filter</span>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{{--    @if($results)--}}
        <div class="row">
            <div class="col-12">

                {{--Custom alert za akcije nad korisnicima--}}
                <div id="ajax-action-alert" class="alert" role="alert" style="display: none;"></div>

                <div class="card-box table-responsive data-table-wrapper" style="display: none">
                    <div id="results-collapse-button" class="row">
                        <div class="col-sm-12">
                            <a class="btn btn-link" data-toggle="collapse" href="#results-collapse" role="button" aria-expanded="false" aria-controls="results-collapse">
                                <h5 class="m-t-0 header-title">
                                    Rezultati pretrage
                                    <i class="zmdi zmdi-caret-up"></i>
                                </h5>
                            </a>
                        </div>
                    </div>
                    <div class="collapse multi-collapse show" id="results-collapse">
                        <div class="col-sm-12">
                            <small>
                                Za pregled i ažuriranje podataka o korisniku kliknite na njegovu korisničku oznaku.
                                Za izvoz podataka u CSV format, kliknite na gumb "CSV".
                            </small>
                        </div>
                        {{--<div class="table-responsive">--}}
                            {{--<table id="data-table" class="responsive-table table table-bordered">--}}
                            <table id="" class="responsive-table table table-bordered result-table">
                                <thead>
                                    <tr>
                                        <th data-searchable="false">Korisnička oznaka</th>
                                        <th>Ime i prezime</th>
                                        <th>Jedinstveni identifikator(i)</th>
                                        <th>Temeljna povezanost s ustanovom</th>
                                        <th>Datum isteka tem. pov.</th>
                                        <th>Brisanje</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        {{--</div>--}}
                        <button class="btn btn-primary export-show-btn ml-2" type="button" onclick="showExport()">
                            <i class="zmdi zmdi-file-text"></i>
                            <span>CSV</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    <div id="csv-attribute-selection" class="row" style="display: none">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Odabir atributa za izvoz</h5>
                        <p>
                            <small>
                                Za odabir svih atributa s popisa kliknite na "Označi sve". Rezultirajuća CSV datoteka
                                sadržavat će korisnike obuhvaćene novom pretragom po trenutačno unesenim vrijednostima
                                u odjeljku Uvjeti pretrage.
                            </small>
                        </p>
                        <div class="p-2">
                            <form action="{{ route('admin.user.list.export') }}"
                                  method="post"
                                  class="form-horizontal"
                                  role="form"
                                  id="export">

                                {{ csrf_field() }}
{{--                                {{ method_field('post') }}--}}

                                <div class="form-group row req">
                                    <label class="col-sm-6  col-form-label">
                                        <div class="ikonaInfo">
                                            <strong>Označi sve</strong>
                                        </div>
                                    </label>
                                    <div class="col-sm-6">
                                        <input type="checkbox" class= "check-all-checkbox" name="" value="">
                                    </div>
                                </div>
                                @foreach($attributeDefinitions as $attributeDefinition)
                                    @if($attributeDefinition->ldapname == 'userPassword' || $attributeDefinition->ldapname == 'jpegPhoto')
                                        @continue
                                    @endif
                                    <div class="form-group row req">
                                        <label class="col-sm-6  col-form-label">
                                            <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                                               data-placement="top" title=""
                                               data-original-title="{{ $attributeDefinition->desc }}"></i>
                                            <div class="ikonaInfo">
                                                {{ $attributeDefinition->name }}
                                                <br />
                                                <small>({{ $attributeDefinition->ldapname }})</small>
                                            </div>
                                        </label>
                                        <div class="col-sm-6">
                                            <input type="checkbox" class= "attribute-checkbox" name="attributes[]" value="{{ strtolower($attributeDefinition->ldapname) }}">
                                        </div>
                                    </div>
                                @endforeach
                                <div class="form-group row req">
                                    <label class="col-sm-6  col-form-label">
                                        <div class="ikonaInfo">
                                            Encoding izlazne datoteke
                                        </div>
                                    </label>
                                    <div class="col-sm-6">
                                        <select name="encoding" class="form-control">
                                            @foreach($encodings as $key => $description)
                                                <option value="{{ $key }}">{{ $description }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <button class="btn btn-primary export-submit-btn ml-2" type="button" onclick="exportSelected()">
                                    <i class="zmdi zmdi-download"></i>
                                    <span>Dohvati CSV datoteku</span>
                                </button>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
        @component('_layouts.modal', ['id' => 'request-confirmation-modal', 'class' => 'centered'])
            @slot('title')
                Brisanje korisnika
            @endslot
            @slot('button')
                <button type="button" data-dismiss="modal" onclick="" class="btn btn-danger confirm-user-delete">
                    Obriši
                </button>
            @endslot

        @endcomponent
    {{--@endif--}}
@stop

@section('tail')
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/sweetalert2/sweetalert2.min.js') }}"></script>
    <script src="{{ asset('js/datatables-extension.js') }}"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            // Ako za prijašnji datum isteka bila odabrana vrijednost "NONE", forsiraj njeno vraćanje u polje iz kojeg
            // ju je obrisao nanovo inicijalizirani datepicker
            var dateVal = $('input.date-filter[type=hidden]').val();
            if (dateVal === 'NONE')
                $('input.date-filter[type=text]').val(dateVal);
        });

        $('.date-picker-custom').flatpickr({
            mode: 'range',
            allowInput: false,
            altInput: true,
            altFormat: "d. m. Y.",
            dateFormat: "Ymd",
        });

        // Gumb "NONE"
        $('.date-none-btn').click(function () {
            $(this).closest('.input-group').find('input').val("NONE");
        });

        //Gumb 'X' (brisanje unosa u polju hrEduPersonExpireDate)
        $('.date-clear-btn').click(function () {
            $(this).closest('.input-group').find('input').val(null);
        });

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        // Gumb "Prikaži" inicijalizira tablicu
        $('.filter-submit-btn').click(function(e) {
            initTable();
        });

        // Inicijaliziraj tablicu rezultata na pritisak tipke Enter u input-poljima
        $('input').keypress(function (e) {
            if (e.which == 13) {
                initTable();
                return false;
            }
        });

        // Gumb "Očisti filter"
        $('.clear-btn').click(function(e) {
            $('input').val('');
            $('select').val('');
        });

        // Gumb "Rezultati pretrage" - promijeni ikonu ovisno o tome jesu li rezultati prikazani ili uvučeni
        var resCollapse = $('#results-collapse');
        resCollapse.on('show.bs.collapse', function () {
            $('#results-collapse-button').find('i').removeClass('zmdi-caret-down').addClass('zmdi-caret-up');
        });
        resCollapse.on('hide.bs.collapse', function () {
            $('#results-collapse-button').find('i').removeClass('zmdi-caret-up').addClass('zmdi-caret-down');
        });

        // Checkbox za označavanje svih redaka (check all)
        $('.check-all-checkbox').click(function () {
            if ($(this).is(':checked'))
                $('.attribute-checkbox').prop('checked', true);
            else
                $('.attribute-checkbox').prop('checked', false);
        });

        // TODO lovric: pretvaranje cijelog retka u link

        // TODO lovric: error handling
        // $.fn.dataTable.ext.errMode = 'throw';

        // Globalna varijabla za pamćenje broja svih zapisa iz imenika. Pri prvom iscrtavanju tablice pamtimo broj
        // svih korisnika iz imenika u globalnoj varijabli, pa ga pri svakom idućem osvježavanju šaljemo natrag u
        // novom zahtjevu. Služi nam da iz funkcije u kontroleru dobijemo popis svih korisnika iz imenika na ručni
        // zahtjev u sučelju ("∞" u izborniku broja redaka prikazanih u tablici).
        var totalRecords = null;
        // Konstruktor tablice
        $.fn.initTable = function (options) {
            var table = this;
            table.dataTableExtended({
                dom: '<"row"<"col-sm-6"><"col-sm-6"l>>rt<"row"<"col-sm-5"i><"col-sm-7"p>>B',
                fixedHeader: true,
                bSort: false,
                lengthMenu: [[10, 25, 50, 100], [10, 25, 50, 100]],
                overflow: true,
                processing: true,
                serverSide: true,
                destroy: true,
                ajax: {
                    url: options.url,
                    type: 'POST',
                    beforeSend: function () {
                        var submitBtn = $('button.filter-submit-btn');
                        submitBtn.prop('disabled', true);
                        submitBtn.find('.main-icon').hide();
                        submitBtn.find('.spinner-icon').show();
                        submitBtn.find('.filter-submit-btn-text').html('Dohvaćanje...');
                        table.fadeTo('fast', 0.5);
                    },
                    data: function (d) {
                        d.filter = {
                            givenname: $('input[name=givenname]').val(),
                            hredupersonexpiredate: $('input[name=hredupersonexpiredate]').val(),
                            hredupersonoib: $('input[name=hredupersonoib]').val(),
                            hredupersonprimaryaffiliation: $('select[name=hredupersonprimaryaffiliation]').val(),
                            hredupersonuniquenumber: $('input[name=hredupersonuniquenumber]').val(),
                            sn: $('input[name=sn]').val(),
                            uid: $('input[name=uid]').val(),
                        };
                        d.lastTotal = totalRecords; // zabilježi u novom zahtjevu kompletan broj zapisa iz imenika
                        d.page = Math.ceil(d.start / d.length) + 1;
                    },
                    complete: function(d) {
                        var submitBtn = $('button.filter-submit-btn');
                        submitBtn.find('.spinner-icon').hide();
                        submitBtn.find('.main-icon').show();
                        submitBtn.find('.filter-submit-btn-text').html('Prikaži');
                        submitBtn.prop('disabled', false);
                        table.fadeTo('fast', 1).find('tbody tr').addClass('tr-link');
                        table.width('100%');
                        // nakon dohvaćanja podataka zapiši broj svih zapisa iz LDAP imenika u globalnu varijablu
                        totalRecords = d.responseJSON.recordsTotal;
                    },
                    error: function (d) {
                        reportError(d);
                    }
                },
                columns: [
                    { data: "uid" },
                    { data: "cn" },
                    { data: "hredupersonuniquenumber" },
                    { data: "hredupersonprimaryaffiliation" },
                    { data: "hredupersonexpiredate" }
                ],
                aoColumnDefs: [
                    {
                        // Generiranje URL-a za uređivanje korisnika pomoću PHP outputa Laravelove route() funkcije
                        aTargets: [ 0 ],
                        mData: "uid",
                        mRender: function ( data, type, full ) {
                            var route = '<?php echo route('admin.user.edit', '%s')?>';
                            var url = route.replace(/%s/, data);
                            return '<a href=' + url + '>' + data + '</a>';
                        }},
                    {
                        // Konkatenacija elemenata JSON subarraya u string
                        aTargets: [ 2 ],
                        mData: "hredupersonuniquenumber",
                        mRender: function ( data, type, full ) {
                            var string = '';
                            if (!jQuery.isArray(data)) data = [data]; // If a single object is returned, wrap it in an array, so the each() doesn't fail
                            $.each(data, function (key, value) {
                                key === 0 ? string += value : string += '<br>' + value;
                            });
                            return string;
                        }},
                    {
                        // Prikazivanje datuma u formatu "dd. mm. yyyy."
                        aTargets: [ 4 ],
                        mData: "hredupersonexpiredate",
                        mRender: function ( data, type, full ) {
                            if (data === 'NONE')
                                return data;
                            moment.locale('hr');
                            return moment(data, 'YYYYMMDD').format('DD. MM. YYYY.');
                        }},
                    {
                        aTargets: [ 5 ],
                        mData: "uid",
                        mRender: function ( data, type, full ) {
                            return '<button type="button" class="btn btn-default" onclick="confirmDeleteUser(\'' + data + '\')"><i class="zmdi zmdi-delete zmdi-hc-fw ukidanjePrava"></i></button>';
                        }},
                ]
            });
        };

        function initTable() {
            // TODO lovric: error handling
            /*$('.result-table').on( 'error.dt', function ( e, settings, techNote, message ) {
                console.log( 'An error has been reported by DataTables: ', message );
            } ).initTable({url: 'getUserList'});*/

            $('#results-collapse').collapse('show');
            $('.result-table').initTable({url: 'getUserList'});
        }

        // Prikaži modal za potvrdu brisanja korisnika
        function confirmDeleteUser(uid) {
            Swal.fire({
                // title: "Promjena datuma isteka temeljne povezanosti",
                html: 'Jeste li sigurni da želite obrisati korisnika:<br><br><b>' + uid + '</b>?',
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'Odustani',
                confirmButtonText: 'Obriši',
                confirmButtonColor: 'red',
                focusCancel: true,
                showLoaderOnConfirm: true,
                preConfirm: () => {
                    deleteUser(uid);
                },
                allowOutsideClick: () => !Swal.isLoading()
            });
        }

        // Pošalji AJAX zahtjev za brisanje korisnika
        function deleteUser(uid) {
            $.ajax({
                url:'deleteUser',
                type:'POST',
                data: { "uids": {uid} },
                success:function(data) {
                    Swal.fire({
                        html: 'Korisnik <b>' + uid + '</b> je uspješno obrisan.',
                        icon: 'success'
                    });
                    $('.result-table').initTable({url: 'getUserList'});
                },
                error: function (data) {
                    reportError(data);
                }
            });
        }

        // Prikaži popis atributa za odabir prije izvoza u CSV
        function showExport() {
            $('#results-collapse').collapse('hide');
            $('#results-collapse-button').show();
            // $('.export-show-btn').hide(300);
            $('#csv-attribute-selection').show(300);
            // document.getElementById("csv-attribute-selection").scrollIntoView();
        }

        // Pošalji AJAX zahtjev za dohvat odabranih korisnika i njihovih atributa u CSV formatu
        function exportSelected() {
            var form = $('form#export');
            $('.filter-field[name]').each(function () {
                form.append(
                    $(document.createElement('input'))
                        .attr('type', 'hidden')
                        .attr('name', 'filter[' + $(this).prop('name') + ']')
                        .attr('value', $(this).val())
                );
            });

            form.submit();
        }

        // Obrada i prikazivanje grešaka
        function reportError(data)
        {
            var response = data.responseJSON;
            if (response.result) {
                if (response.ldapError) {
                    var report = '';
                    $.each(response.result, function (key, error) {
                        report += 'LDAP ' + error.code + ': ' + error.message + '\n';
                    });
                    Swal.fire('Greška', report, 'error');
                }
                else {
                    Swal.fire('Greška' + response.error, 'error');
                }
            }
            else {
                Swal.fire('', 'Došlo je do pogreške.', 'error');
            }
        }
    </script>
@stop