@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/rateyo/jquery.rateyo.min.css') }}">
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Promjena logotipa</h5>
                        <p>
                            <b>VAŽNO:</b> logotip ustanove mora biti u png, gif ili jpeg formatu.
                        </p>
                        <div class="p-2">
                            <form action="{{ route('admin.logo.update') }}"
                                  enctype="multipart/form-data"
                                  method="post"
                                  class="form-horizontal"
                                  role="form"
                                  data-parsley-validate
                                  novalidate>

                                {{ csrf_field() }}
                                {{ method_field('put') }}

                                <div class="form-group row">
                                    <label class="col-sm-6  col-form-label">

                                        <div class="ikonaInfo">
                                            Promjena logotipa
                                            <br>
                                            <small> Molimo odaberite slikovnu datoteku za prijenos i
                                                pritisnite gumb
                                                Prenesi.</small>
                                        </div>
                                    </label>
                                    <div class="col-sm-6">
                                        <ul class="list-inline files-list yes">
                                            <li class="list-inline-item file-box ">
                                                <img src=""
                                                     class="img-fluid img-thumbnail ImgPreview preview1"
                                                     alt="" width="80" />
                                                <input type="button" id="removeImage1" value="x"
                                                       class="btn-rmv1" />
                                                <p class="font-13 mb-1 text-muted">
                                            <li class="list-inline-item file-box ml-2">
                                                <div class="fileupload add-new-plus">
                                                    <span><i class="zmdi zmdi-plus zmdi-hc-fw"></i></span>
                                                    <input type="file" class="upload imag" name="logo"/>
                                                </div>
                                            </li>
                                            </p>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <p>
                                    Info
                                    <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                                       data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                                </p>

                                <!-- Default -->
                                <div class="modal fade" id="modal-default" tabindex="-1">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title pull-left">Promjena logotipa ustanove:
                                                </h5>
                                            </div>
                                            <div class="modal-body">
                                                Slika koja se prikazuje između logotipa Srca i logotipa AAI
                                                sustava može se promijeniti kroz obrazac za promjenu logotipa
                                                ustanove.<br>

                                                Za promjenu logotipa ustanove pritisnite gumb Browse, odaberite
                                                slikovnu datoteku za prijenos i pritisnite gumb Prenesi.<br>

                                                <b>VAŽNO:</b>slika se nakon prijenosa ne obrađuje. Na
                                                stranici će
                                                biti prikazana u veličini u kojoj ste ju prenijeli.
                                            </div>
                                            <div class="modal-footer">

                                                <button type="button" class="btn btn-link"
                                                        data-dismiss="modal">U redu</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary">
                                    Prenesi
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script>
        function readURL(input, imgControlName) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $(imgControlName).attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }

        $(".imag").change(function () {
            // add your logic to decide which image control you'll use
            var imgControlName = ".ImgPreview";
            readURL(this, imgControlName);
            $('.preview1').addClass('it');
            $('.btn-rmv1').addClass('rmv');
        });

        $("#removeImage1").click(function (e) {
            e.preventDefault();
            $(".imag").val("");
            $(".ImgPreview").attr("src", "");
            $('.preview1').removeClass('it');
            $('.btn-rmv1').removeClass('rmv');
        });
    </script>
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/rateyo/jquery.rateyo.min.js') }}"></script>
@stop