@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/sweetalert2/sweetalert2.min.css') }}">
    <style>
        .alert-scroll-list {
            max-height: 300px;
            overflow-y: auto;
        }
    </style>
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Uvjeti pretrage</h5>
                        <div class="p-2">
                            <form action="{{ route('admin.user.bulk-management.show') }}"
                                    method="get"
                                    class="form-horizontal"
                                    role="form"
                                    id="filter">

{{--                                {{ csrf_field() }}--}}
{{--                                {{ method_field('get') }}--}}

                                @foreach($attributeKeys as $attributeKey)
                                    @php
                                        $attributeDefinition = $attributeDefinitions[$attributeKey];
                                        $inputName = $attributeKey;
                                    @endphp
                                    <div class="form-group row req">
                                        <label class="col-sm-6  col-form-label">
                                            <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                                               data-placement="top" title=""
                                               data-original-title="{{ $attributeDefinition->desc }}"></i>
                                            <div class="ikonaInfo">
                                                {{ $attributeDefinition->name }}
                                                <br />
                                                <small>({{ $attributeDefinition->ldapname }})</small>
                                            </div>
                                        </label>
                                        <div class="col-sm-6">
                                            @unless($attributeKey == 'hredupersonexpiredate') {{-- hrEduPersonExpireDate crtam posebno --}}
                                                @if($attributeDefinition->type == 'vocabulary')
                                                    <select name="{{ $inputName }}"
                                                            class="form-control">
                                                        <option value="">- odaberi -</option>
                                                        @foreach($attributeDefinition->vocabulary as $key => $value)
                                                            <option value="{{ $key }}"
                                                            @if(request($attributeKey))
                                                                {{ request($attributeKey) == $key ? 'selected' : '' }}
                                                            @endif
                                                            >
                                                                {{ $value }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                @else
                                                    <input type="text"
                                                           class="form-control {{ $attributeDefinition->type == 'date' ? 'date-picker-custom' : '' }}"
                                                           {!! isset($attributeDefinition->attrtype['length']) ? 'maxlength="' . $attributeDefinition->attrtype['length'] .'"' : '' !!}
                                                           @if(request($attributeKey))
                                                           value="{{ request($attributeKey) }}"
                                                           @endif
                                                           name="{{ $inputName }}" />
                                                @endif
                                            @else
                                                <div class="input-group">
                                                    <input type="text"
                                                           class="form-control date-picker-custom date-filter"
                                                           @if(request($attributeKey))
                                                           value="{{ request($attributeKey) }}"
                                                           @endif
                                                           name="{{ $inputName }}" />
                                                    <div class="input-group-append">
                                                        <button class="btn btn-outline-secondary date-none-btn" type="button">
                                                            NONE
                                                        </button>
                                                    </div>
                                                    <div class="input-group-append">
                                                        <button class="btn btn-outline-secondary date-clear-btn" type="button">
                                                            <i class="zmdi zmdi-close"></i>
                                                        </button>
                                                    </div>
                                                </div>
                                            @endunless
                                        </div>
                                    </div>
                                @endforeach

                                <p>
                                    <small>Za dohvat podataka o korisnicima unesite uvjete pretrage i
                                        pritisnite Prikaži
                                    </small>
                                </p>
                                <p>
                                    Info
                                    <i class="zmdi zmdi-info zmdi-hc-fw" data-toggle="modal"
                                       data-target="#modal-default" style="font-size: 1.3rem;;"></i>
                                </p>
                                <!-- Default -->
                                <div class="modal fade" id="modal-default" tabindex="-1">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title pull-left">Legenda:</h5>
                                            </div>
                                            <div class="modal-body">
                                                <p>
                                                    <strong><u>uid</u></strong> - Klikom na korisničku oznaku odlazite na
                                                    stranicu
                                                    na kojoj možete ažurirati korisnikove podatke.
                                                </p>
                                                <p>
                                                    <button class="btn btn-danger delete-btn" type="button">
                                                        <i class="zmdi zmdi-delete zmdi-hc-fw"></i>
                                                        <span class="submit-btn-text">Obriši označene</span>
                                                    </button> - Brisanje korisnika. Klikom na ovaj gumb (ako potvrdno
                                                    odgovorite na pitanje u prozoru koji će iskočiti nakon klika) obrisat
                                                    ćete označene korisnike.
                                                </p>
                                                <p>
                                                    <button class="btn btn-primary change-date-btn" type="button">
                                                        <i class="zmdi zmdi-calendar zmdi-hc-fw"></i>
                                                        <span class="submit-btn-text">Promijeni datum isteka</span>
                                                    </button>
                                                    - Klikom na ovaj gumb (ako potvrdno odgovorite na pitanje u prozoru
                                                    koji će iskočiti nakon klika) promijenit ćete datum isteka temeljne
                                                    povezanosti svim označenim korisnicima u novi datum unesen u polje
                                                    kraj ovoga gumba.
                                                </p>
                                                <p>
                                                    Ova stranica logički je podjeljena na dva dijela. Prvi dio na vrhu
                                                    služi za postavljanje uvjeta pretrage. Kad kliknete na gumb "Prikaži",
                                                    u drugom dijelu se pojavljuje tablica s rezultatima pretrage. Iznad
                                                    nje nalaze se polje i gumb za promjenu datuma isteka temeljne
                                                    povezanosti te gumb za brisanje korisnika.
                                                </p>
                                                <h6>Postavljanje uvjeta pretrage</h6>
                                                <p>
                                                    U polja pored naziva atributa upišite vrijednost (ili je odaberite s
                                                    liste) i kliknite na Prikaži. Kod postavljanje uvjeta pretrage znak
                                                    * zamjenjujuje bilo koji niz znakova ili prazan skup. Tako ćete,
                                                    npr., ako u polje uid upišete m* dobiti sve korisnike kojima uid
                                                    počinje slovom m. Ako postavite više uvjeta pretrage, rezultat će
                                                    biti oni korisnici koji zadovoljavaju sve postavljene uvjete. Ako ne
                                                    upišete nijedan uvjet pretrage i kliknete na Prikaži, dobit ćete
                                                    listu svih korisnika (čije korisničke račune imate pravo
                                                    administrirati).
                                                </p>
                                                <h6>Popis korisnika koji zadovoljavaju uvjete pretrage</h6>
                                                <p>
                                                    U nastavku stranice prikazana je tablica svih korisnika koji
                                                    zadovoljavaju uvjete pretrage. Klik na kor. oznaku korisnika u prvom
                                                    stupcu vodi vas na stranicu na kojoj je moguće ažurirati podatke o
                                                    korisniku. Klikom na kvadratić u zadnjem stupcu s desne strane možete
                                                    označiti pojedinog korisnika, a klikom na kvadratić u glavi tablice,
                                                    označit ćete sve korisnike. Označene korisnike možete obrisati klikom
                                                    na gumb "Obriši označene" ili im promijeniti datum isteka temeljne
                                                    povezanosti tako da unesete novi datum u polje i kliknete na gumb
                                                    "Promijeni datum isteka". Na dnu tablice nalazi se ukupan broj
                                                    korisnika koji zadovoljavaju uvjete pretrage.
                                                </p>
                                                <h6>Brisanje korisničkih računa</h6>
                                                <p>
                                                    Nakon što ste postavili uvjete i dobili popis korisnika koji
                                                    zadovoljavaju uvjete pretrage, na listi je potrebno (koristeći
                                                    kvadratiće u desnoj koloni) odabrati korisnike koje želite obrisati.
                                                    Ako želite označiti sve korisnike, možete za to koristiti kvadratić
                                                    u glavi tablice.

                                                    <span style="color: red;">OPREZ!!!</span> Kad označite korisničke
                                                    račune koje želite obrisati kliknite na gumb "Obriši označene".
                                                    <br>
                                                    <span style="color: red;">OPREZ pri brisanju korisničkih računa!!
                                                        Akcija brisanja je ireverzibilna!!</span>
                                                    <br>
                                                    Po obavljenoj akciji, bit će vam prikazan izvještaj iz kojega možete
                                                    vidjeti je li operacija brisanja bila uspješna za svakog pojedinog
                                                    odabranog korisnika.
                                                </p>
                                                <h6>Promjena datuma isteka</h6>
                                                <p>
                                                    Nakon što ste postavili uvjete i dobili popis korisnika koji
                                                    zadovoljavaju uvjete pretrage, na listi je potrebno (koristeći
                                                    kvadratiće u desnoj koloni) odabrati korisnike kojima želite
                                                    promijeniti datum isteka. Ako želite označiti sve korisnike, možete
                                                    za to koristiti kvadratić u glavi tablice. Kad označite korisnike
                                                    kojima želite promjeniti datum isteka, u polju za unos novog datuma
                                                    isteka odaberite datum koji želite postaviti korisnicima kao novi
                                                    datum isteka (za korisnike kojima temeljna povezanost s ustanovom ne
                                                    ističe možete upisati vrijednost NONE), i kliknite na gumb "Promjeni
                                                    datum isteka".
                                                    Po obavljenoj akciji, bit će vam prikazan izvještaj iz kojega možete
                                                    vidjeti je li operacija ažuriranja bila uspješna za svakog pojedinog
                                                    odabranog korisnika.
                                                </p>
                                            </div>
                                            <div class="modal-footer">

                                                <button type="button" class="btn btn-link"
                                                        data-dismiss="modal">U redu</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn-primary ml-2" type="submit">
                                    <i class="zmdi zmdi-search main-icon"></i>
                                    <span class="submit-btn-text">Prikaži</span>
                                </button>
                                <button class="btn btn-light clear-btn ml-2" type="button">
                                    <span class="submit-btn-text">Očisti filter</span>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{--    @if($results)--}}
    <div class="row">
        <div class="col-12">

            {{--Custom alert za akcije nad korisnicima--}}
            <div id="ajax-action-alert" class="alert" role="alert" style="display: none;"></div>

            @if(isset($results))
                <div class="card-box table-responsive data-table-wrapper">

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="input-group">
                                <input type="text" name="changeHrEduPersonExpireDate" class="form-control date-picker-custom" placeholder="">
                                <div class="input-group-append">
                                    <button class="btn btn-outline-secondary date-none-btn" type="button">
                                        NONE
                                    </button>
                                </div>
                                <div class="input-group-append">
                                    <button class="btn btn-outline-secondary date-clear-btn" type="button">
                                        <i class="zmdi zmdi-close"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-4">
                            <button class="btn btn-primary change-date-btn" type="button" onclick="changeDateSelected()">
                                <i class="zmdi zmdi-calendar zmdi-hc-fw"></i>
                                <span class="submit-btn-text">Promijeni datum isteka</span>
                            </button>
                        </div>
                        <div class="offset-md-6 col-md-6">
                            <button class="btn btn-danger delete-btn" type="button" onclick="deleteSelected()">
                                <i class="zmdi zmdi-delete zmdi-hc-fw"></i>
                                <span class="submit-btn-text">Obriši označene</span>
                            </button>
                        </div>
                    </div>

                    <br><br>

                    {{--<div class="table-responsive">--}}
                    {{--<table id="data-table" class="responsive-table table table-bordered">--}}
                    <table id="" class="responsive-table table table-bordered result-table">
                        <thead>
                        <tr>
                            <th data-searchable="false">Korisnička oznaka</th>
                            <th>Ime i prezime</th>
                            <th>Jedinstveni identifikator(i)</th>
                            <th>Temeljna povezanost s ustanovom</th>
                            <th>Datum isteka tem. pov.</th>
                            <th><center><input type="checkbox" class="check-all-checkbox" name="check-all" value=""></center></th>
                        </tr>
                        </thead>
                        <tbody>
                        @if($results)
                            @foreach($results as $result)
                                <tr>
                                    <td><a href="{{ route('admin.user.edit', $result['uid'][0]) }}">{{ $result['uid'][0] }}</a></td>
                                    <td>{{ $result['givenname'][0] . ' ' . $result['sn'][0] }}</td>
                                    <td>
                                        @foreach($result['hredupersonuniquenumber'] as $uniqueNumber)
                                            {{ $uniqueNumber }}
                                            @unless ($loop->last)
                                                <br>
                                            @endunless
                                        @endforeach
                                    </td>
                                    <td>{{ $result['hredupersonprimaryaffiliation'][0] }}</td>
                                    <td>{{ $result['hredupersonexpiredate'][0] === 'NONE' ? 'NONE' : date('d. m. Y.', strtotime($result['hredupersonexpiredate'][0])) }}</td>
                                    <td><div align="center">
                                            <input type="checkbox" class= "list-checkbox" name="{{ $result['uid'][0] }}" value="">
                                    </div></td>
                                </tr>
                            @endforeach
                        @else
                            <tr>
                                <td colspan="6">Nema podataka</td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                    @if($results)
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="dataTables_info">Broj rezultata: {{ count($results) }}</div>
                            </div>
                        </div>
                    @endif
                    {{--</div>--}}
                </div>
            @endif
        </div>
    </div>
    @component('_layouts.modal', ['id' => 'delete-confirmation-modal', 'class' => 'centered'])
        @slot('title')
            Brisanje korisnika
        @endslot
        @slot('button')
            <button type="button" data-dismiss="modal" onclick="" class="btn btn-danger confirm-user-delete">
                Obriši
            </button>
        @endslot
    @endcomponent
    @component('_layouts.modal', ['id' => 'date-change-confirmation-modal', 'class' => 'centered'])
        @slot('title')
            Promjena datuma isteka temeljne povezanosti
        @endslot
        @slot('button')
            <button type="button" data-dismiss="modal" onclick="" class="btn btn-primary confirm-user-delete">
                Promijeni datum
            </button>
        @endslot
    @endcomponent
    {{--@endif--}}
@stop

@section('tail')
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/sweetalert2/sweetalert2.min.js') }}"></script>
    <script src="{{ asset('js/datatables-extension.js') }}"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            // Ako za prijašnji datum isteka bila odabrana vrijednost "NONE", forsiraj njeno vraćanje u polje iz kojeg
            // ju je obrisao nanovo inicijalizirani datepicker
            var dateVal = $('input.date-filter[type=hidden]').val();
            if (dateVal === 'NONE')
                $('input.date-filter[type=text]').val(dateVal);
        });

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $('.date-picker-custom').flatpickr({
            mode: 'range',
            allowInput: true,
            altInput: true,
            altFormat: "d. m. Y.",
            dateFormat: "Ymd",
        });

        $('.date-picker-custom[name=changeHrEduPersonExpireDate]').flatpickr({
            allowInput: false,
            altInput: true,
            altFormat: "d. m. Y.",
            dateFormat: "Ymd",
        });

        // Gumb "NONE"
        $('.date-none-btn').click(function () {
            $(this).closest('.input-group').find('input').val("NONE");
        });

        //Gumb 'X' (brisanje unosa u polju hrEduPersonExpireDate)
        $('.date-clear-btn').click(function () {
            $(this).closest('.input-group').find('input').val(null);
        });

        // Podnesi formu na pritisak tipke Enter u input-poljima
        $('input').keypress(function (e) {
            if (e.which == 13) {
                $('form#filter').submit();
                return false;
            }
        });

        // Gumb "Očisti filter"
        $('.clear-btn').click(function(e) {
            $('input').val('');
            $('select').val('');
        });

        // Checkbox za označavanje svih redaka (check all)
        $('.check-all-checkbox').click(function () {
            if ($(this).is(':checked'))
                $('.list-checkbox').prop('checked', true);
            else
                $('.list-checkbox').prop('checked', false);
        });

        // TODO lovric: pretvaranje cijelog retka u link

        function deleteSelected(confirmed = false) {
            var selected = [];
            $('input.list-checkbox:checked').each(function() {
                selected.push($(this).attr('name'));
            });

            if (!selected.length) {
                Swal.fire('', 'Niste označili nijednog korisnika.', 'error');
            }
            else {
                if (confirmed)
                    deleteUsers(selected);
                else
                    confirmDeleteUsers(selected);
            }
        }

        function changeDateSelected(confirmed = false) {
            var selected = [];
            $('input.list-checkbox:checked').each(function() {
                selected.push($(this).attr('name'));
            });

            var newDate = $('input[name=changeHrEduPersonExpireDate]').val();
            moment.locale('hr');

            if (!selected.length) {
                Swal.fire('', 'Niste označili nijednog korisnika.', 'error');
            }
            else if (!newDate.trim()) {
                Swal.fire('', 'Niste unijeli vrijednost za datum.', 'error');
            }
            else {
                if (confirmed) {
                    changeExpireDate(selected, newDate);
                }
                else {
                    var formatted = newDate === 'NONE' ? 'NONE' : moment(newDate, 'YYYYMMDD').format('DD. MM. YYYY.');
                    confirmChangeExpireDate(selected, formatted);
                }
            }
        }

        // Prikaži modal za potvrdu brisanja korisnika
        function confirmDeleteUsers(uids) {
            var list = '';
            var question;
            uids.forEach(function (item) {
                list += item + '<br>';
            });
            question = 'Jeste li sigurni da želite obrisati ';
            if (uids.length > 1)
                question += 'korisnike:';
            else
                question += 'korisnika:';
            question += '<br><br><div class="alert-scroll-list">' + list + '</div>';

            Swal.fire({
                // title: "Brisanje korisnika",
                html: question,
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'Odustani',
                confirmButtonText: 'Obriši',
                confirmButtonColor: 'red',
                focusCancel: true,
                showLoaderOnConfirm: true,
                preConfirm: () => {
                    deleteSelected(true);
                },
                allowOutsideClick: () => !Swal.isLoading()
            });
        }

        // Prikaži modal za potvrdu promjene datuma isteka
        function confirmChangeExpireDate(uids, date) {
            var list = '';
            var question;
            uids.forEach(function (item) {
                list += item + '<br>';
            });
                question = 'Jeste li sigurni da želite postaviti novi datum isteka <b style="color: darkred;">' + date;
            if (uids.length > 1)
                question += '</b> za korisnike:';
            else
                question += '</b> za korisnika:';
            question += '<br><br><div class="alert-scroll-list">' + list + '</div>';
            swal({
                // title: "Promjena datuma isteka temeljne povezanosti",
                html: question,
                icon: 'warning',
                showCancelButton: true,
                cancelButtonText: 'Odustani',
                confirmButtonText: 'Postavi datum',
                // confirmButtonColor: 'red',
                focusCancel: true,
                showLoaderOnConfirm: true,
                preConfirm: () => {
                    changeDateSelected(true);
                },
                allowOutsideClick: () => !Swal.isLoading()
            });
        }

        // Pošalji AJAX zahtjev za brisanje korisnika
        function deleteUsers(uids) {
            $.ajax({
                url:'deleteUser',
                type:'POST',
                data: { uids: uids },
                success:function(data) {
                    var list = '';
                    uids.forEach(function (item) {
                        list += item + '<br>';
                    });
                    var successMessage = '';
                    if (uids.length > 1)
                        successMessage = 'Korisnici su uspješno obrisani:';
                    else
                        successMessage = 'Korisnik je uspješno obrisan:';
                    successMessage += '<br><br><div class="alert-scroll-list">' + list + '</div>';
                    Swal.fire({
                        html: successMessage,
                        icon: 'success'
                    }).then(function(){
                        $('form#filter').submit()
                    });
                },
                error: function (data) {
                    reportError(data);
                }
            });
        }

        // Pošalji AJAX zahtjev za promjenu datuma isteka
        function changeExpireDate(uids, date) {
            $.ajax({
                url:'changeExpireDate',
                type:'POST',
                data: { uids: uids, date: date },
                success:function(data) {
                    var list = '';
                    uids.forEach(function (item) {
                        list += item + '<br>';
                    });
                    var successMessage = 'Datum isteka temeljne povezanosti je uspješno promijenjen';
                    if (uids.length > 1)
                        successMessage += ' korisnicima:';
                    else
                        successMessage += ' korisniku:';
                    successMessage += '<br><br><div class="alert-scroll-list">' + list + '</div>';
                    Swal.fire({
                        html: successMessage,
                        icon: 'success'
                    }).then(function(){
                        $('form#filter').submit()
                    });
                },
                error: function (data) {
                    reportError(data);
                }
            });
        }

        // Obrada i prikazivanje grešaka
        function reportError(data)
        {
            var response = data.responseJSON;
            if (response.result) {
                if (response.ldapError) {
                    var report = '';
                    $.each(response.result, function (key, error) {
                        report += 'LDAP ' + error.code + ': ' + error.message + '<br>';
                    });
                    Swal.fire({
                        title: 'Greška',
                        html: '<div class="alert-scroll-list">' + report + '</div>',
                        icon: 'error'
                    });
                }
                else {
                    Swal.fire({
                        title: 'Greška',
                        html: '<div class="alert-scroll-list">' + response.error + '</div>',
                        icon: 'error'
                    });
                }
            }
            else {
                Swal.fire('', 'Došlo je do pogreške.', 'error');
            }
        }
    </script>
@stop