@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/rateyo/jquery.rateyo.min.css') }}">
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Zaključani korisnici</h5>
                        <p>Popis korisničkih računa koji su zaključani ili će uskoro biti zaključani
                            ppolicy modulom</p>
                        <div class="p-2">

                            <div class="table-responsive">

                                <table id="data-table-custom" class="responsive-table table table-bordered">
                                    <thead>
                                    <tr>
                                        <th>Korisnička oznaka</th>
                                        <th data-searchable="false">Vrijeme isteka zaporke</th>
                                        <th data-searchable="false">Preostalo pokušaja nakon isteka</th>
                                        <th>Zaključan</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach ($lockedUsers as $lockedUser)
                                        <tr>
                                            <td data-title="Korisnička oznaka:">
                                                <a href="{{ route('admin.user.edit', ['uid' => $lockedUser['uid'][0]]) }}"
                                                    class="edit">
                                                    {{ $lockedUser['uid'][0] }}
                                                </a>
                                            </td>
                                            <td data-title="Vrijeme isteka zaporke:">
                                                {{ $lockedUser['pwd_expires_on'] }}
                                            </td>
                                            <td data-title="Br. pokušaja nakon isteka:">
                                                {{ $lockedUser['authn_left'] }}
                                            </td>
                                            <td data-title="Zaključan:">
                                                {{ $lockedUser['locked'] ? 'Da' : 'Ne' }}
                                            </td>

                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')
    <script>
        $(function () {
            $('#data-table-custom').dataTable( {
                "paging": false
            } );
        });
    </script>
    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/rateyo/jquery.rateyo.min.js') }}"></script>
@stop