<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>AOSI</title>

    <!-- Vendor styles -->
    <link rel="stylesheet" href="{{ asset('vendors/material-design-iconic-font/css/material-design-iconic-font.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/animate.css/animate.min.css') }}">

    <!-- App styles -->
    <link rel="stylesheet" href="{{ asset('css/app.min.css') }}">
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">
</head>
<body class="authentication-bg">
<div class="account-pages mt-5 mb-5">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8 col-lg-6 col-xl-5">
                <div class="text-center">

                    <span><img class="aai-logo" src="{{ asset('img/aai-70.png') }}" alt="" height="40" /></span>
                    <span><img src="{{ getLogoUrl() }}" alt="" height="50" /></span>

                    <p class="text-muted mt-2 mb-4">
                    </p>
                </div>

                @include('flash::message')

                <div class="card">
                    <div class="card-body p-4">
                        <div class="text-center mb-4">
                            <h4 class="text-uppercase mt-0">Prijava</h4>
                        </div>
                        <form name="{{ $role == 'admin' ? 'admin-login' : 'user-login' }}" action="{{ route($role == 'admin' ? 'admin.login' : 'user.login') }}" method="post">
                            {{ csrf_field() }}
                            <div class="form-group mb-3">
                                <label for="emailaddress">
                                    Korisnička oznaka</label>
                                <div class="input-group">
                                    <input class="form-control" type="text" name="uid"
                                           placeholder="" />
                                    <div class="input-group-append">
                                        @if($isSingleRealmInstance)
                                            <div class="input-group-text">{{ '@' . $realms[0] }}.hr</div>
                                        @else
                                            <select class="form-control" name="realm">
                                                @foreach($realms as $realm)
                                                    <option value="{{ $realm }}"
                                                        {{ Request::get('realm') == $realm ? 'selected' : '' }}
                                                    >
                                                        {{ '@' . $realm }}.hr
                                                    </option>
                                                @endforeach
                                            </select>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="form-group mb-3">
                                <label for="password">Zaporka</label>
                                <input class="form-control" type="password" name="password"
                                       placeholder="Unesite zaporku" />
                            </div>

                            <div class="form-group mb-0 text-center">
                                <button class="btn btn-primary btn-block" type="submit">
                                    Prijava
                                </button>
                            </div>
                        </form>
                        <!--
                            Ovo je kod za validaciju! Potrebno je samo odkomentirarti i korisiti
                            <div class="alert alert-danger mt-3">
                                <strong>Pogreška!</strong> Korisničko ime ili lozinka nisu točni. Pokušajte ponovo.
                            </div> -->
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-12 text-center">
                        <p class="text-muted">
                            Aplikacija za održavanje sadržaja imenika domene
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript" src="{{ asset('vendors/jquery/jquery.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('vendors/bootstrap/js/bootstrap.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/app.min.js') }}"></script>

<script>
    $('div.alert').not('.alert-important').delay(3000).slideUp(300);
    $('#flash-overlay-modal').modal();
</script>

</body>
</html>