
@php
    $prefixedAttributes = \App\Helpers\AosiCoreHelper::getPrefixedAttributes();
@endphp

{{-- TODO mivanci HTML5 validacija po definicijama atributa (pogledaj dodavanjeKorisnika.blade u admin dijelu --}}
<div class="row">
    <div class="col-12">
        <div class="card-box">

            <div class="row">
                <div class="col-12">
                    <h5 class="m-t-0 header-title">{{ $title ?? 'Ažuriranje podataka' }}</h5>
                    <p>{{ $info ?? '' }}</p>
                </div>
            </div>

            <div class="row">
                <div class="col-12">
                    <div class="p-2">
                        <ol id="mandatoryOrAllDisplaySwitcher"
                            data-show-mandatory-only="{{ $showMandatoryOnlyAttributes ?? 0 }}"
                            class="breadcrumb m-0 obavezanButton">
                            <i class="zmdi zmdi-filter-list zmdi-hc-fw"></i>
                            <li class="breadcrumb-item active">
                                Prikaži samo obavezne atribute
                            </li>
                        </ol>

                        <form action="{{ $formPostUrl }}"
                              method="post"
                              enctype="multipart/form-data"
                              class="form-horizontal"
                              role="form"
                              data-parsley-validate novalidate>

                            {{ csrf_field() }}
                            {{ method_field('put') }}

                            @foreach($viewableAttributes as $viewableAttributeKey)
                                @php($attributeDefinition = $allAttributeDefinitions[$viewableAttributeKey])
                                <div class="form-group row req {{ $attributeDefinition->must == 'false' ? 'aosi-optional' : '' }}">
                                    <label class="col-sm-6  col-form-label">
                                        <i class="zmdi zmdi-info-outline zmdi-hc-fw" data-toggle="tooltip"
                                           data-placement="top" title=""
                                           data-original-title="{{ $attributeDefinition->desc }}"></i>
                                        <div class="ikonaInfo">
                                            {{ $attributeDefinition->name }}{{$attributeDefinition->must == 'true' ? '*' : ''}}
                                            <br />
                                            <small>({{ $attributeDefinition->ldapname }})</small>
                                        </div>
                                    </label>
                                    <div class="col-sm-6 aosi-attribute-container" data-attribute-key="{{ $viewableAttributeKey }}">

                                        {{-- U slučaju binary datoteka dodat ću skriven file input atribut koji će služiti za dodavanje nove datoteke --}}
                                        @if($attributeDefinition->type == 'binary')
                                            <div class="row form-group aosi-single-attribute" style="display: none;">
                                                <div class="col-sm-12">
                                                    <input type="file"
                                                           class="form-control-file aosi-form-control"
                                                           disabled=""
                                                           name="" />
                                                </div>
                                            </div>
                                        @endif

                                        {{-- Ako korisnik ima value za trenutni $viewableAttributeKey... --}}
                                        @if(isset($resource->{$viewableAttributeKey}) && is_array($resource->{$viewableAttributeKey}))

                                            {{-- Evidentiraj postojanje vrijednosti. Ovo služi za brisanje vrijednosti, jer
                                             vrijednost treba brisati samo ako je prethodno postojala. --}}
                                            <input type="hidden" name="valuables[{{ $viewableAttributeKey }}]" value="1">

                                            {{-- Za svaku postojeću vrijednost trenutnog $viewableAttributeKey... --}}
                                            @foreach($resource->{$viewableAttributeKey} as $resourceViewableAttributeKey => $resourceViewableAttributeValue)

                                                {{-- Ako je multiple dozvoljen, onda koristi array sintaksu za name. Inače, samo naziv ključa. --}}
                                                @php($currentElementNameAttribute = $attributeDefinition->multiple == 'true' ? $viewableAttributeKey .'[' . $loop->index .']' : $viewableAttributeKey)

                                                <div class="row form-group aosi-single-attribute">
                                                    <div class="col-sm-12">
                                                        {{-- Ako korisnik smije mijenjati podatak, prikaži form element na formi --}}
                                                        @if($attributeDefinition->change[$bindType] == 'true')
                                                            {{-- Ovisno o tipu podatka, prikaži različit tip elementa na formi --}}
                                                            {{-- Za atribute s prefiksom moram napraviti posebne input-e --}}
                                                            @if(array_key_exists($viewableAttributeKey, $prefixedAttributes))
                                                                {{-- Izluči prefix i vrijednost iz stringa --}}
                                                                @php($currentPrefixAndValue = explode(':', $resourceViewableAttributeValue))
                                                                <div class="form-group row req aosi-hredupersonuniquenumber" >
                                                                    <div class="col-sm-4">
                                                                        <select name="{{ $currentElementNameAttribute }}[prefix]"
                                                                                class="form-control aosi-form-control"
                                                                                data-name-postfix="[prefix]">
                                                                            <option value=""></option>
                                                                            @foreach($attributeDefinition->{$prefixedAttributes[$viewableAttributeKey]} as $prefix)
                                                                                    <option value="{{ $prefix }}"
                                                                                    {{ $prefix == $currentPrefixAndValue[0] ? 'selected' : '' }}
                                                                                    >{{ $prefix }}</option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div>
                                                                    <div class="col-sm-8">
                                                                        <input type="text"
                                                                               class="form-control aosi-form-control"
                                                                               value="{{ trim($currentPrefixAndValue[1]) }}"
                                                                               name="{{ $currentElementNameAttribute }}[value]"
                                                                               data-name-postfix="[value]"/>
                                                                    </div>
                                                                </div>
                                                            @elseif($attributeDefinition->type == 'string')
                                                                <input type="text"
                                                                       class="form-control ja aosi-form-control"
                                                                       value="{{ $resourceViewableAttributeValue }}"
                                                                       name="{{ $currentElementNameAttribute }}" />
                                                            @elseif($attributeDefinition->type == 'vocabulary')
                                                                {{-- Vocabulary je select element --}}
                                                                <select class="form-control aosi-form-control"
                                                                        name="{{ $currentElementNameAttribute }}">
                                                                    @if($attributeDefinition->must == 'false')
                                                                        <option value=""></option>
                                                                    @endif
                                                                    {{-- Ako se radi o hrEduPersonPrimaryAffiliation, onda vrijednost može biti samo jedna od hrEduPersonAffiliation --}}
                                                                    @if($viewableAttributeKey == 'hredupersonprimaryaffiliation')
                                                                        @foreach($resource->hredupersonaffiliation as $vocabularyValue)
                                                                            <option value="{{ $vocabularyValue }}"
                                                                                    {{ $resourceViewableAttributeValue == $vocabularyValue ? 'selected' : '' }}
                                                                            >{{ $vocabularyValue }}</option>
                                                                        @endforeach
                                                                    @else
                                                                        {{-- Ako trenutna vrijednost uopće nije dostupna u vocabulary, dodaj posebnu opciju za nju --}}
                                                                        {{-- Npr. ovo se koristi kod listanja URN vrijednosti atributa hrEduPersonRole --}}
                                                                        @if(!array_key_exists($resourceViewableAttributeValue, $attributeDefinition->vocabulary))
                                                                            <option value="{{ $resourceViewableAttributeValue }}"
                                                                                    selected>{{ $resourceViewableAttributeValue }}</option>
                                                                        @endif
                                                                        @foreach($attributeDefinition->vocabulary as $vocabularyKey => $vocabularyValue)
                                                                            <option value="{{ $vocabularyKey }}"
                                                                                    {{ $resourceViewableAttributeValue == $vocabularyKey ? 'selected' : '' }}
                                                                            >{{ $vocabularyValue }}</option>
                                                                        @endforeach
                                                                    @endif
                                                                </select>
                                                            @elseif($attributeDefinition->type == 'binary')
                                                                <div class="row">
                                                                    <div class="col-2">
                                                                        <div class="btn btn-outline-secondary"
                                                                             data-toggle="modal"
                                                                             data-target="#pictureModal"
                                                                             data-picture-hash="{{ $resourceViewableAttributeValue }}">
                                                                            <span><i class="zmdi zmdi-picture-in-picture"></i> </span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-10">
                                                                        {{-- TODO mivanci unifromiraj izgled gumba za brisanje po Matijinom --}}
                                                                        <button type="button"
                                                                                class="btn btn-danger btn-sm aosi-picture-delete"
                                                                                data-picture-hash="{{ $resourceViewableAttributeValue }}">
                                                                            Obriši
                                                                        </button>
                                                                    </div>
                                                                </div>
                                                            @elseif($attributeDefinition->type == 'date')
                                                                <input type="text"
                                                                       class="form-control ja aosi-date-picker"
                                                                       value="{{ formatDateString($resourceViewableAttributeValue) }}"
                                                                       name="{{ $currentElementNameAttribute }}" />
                                                            @else
                                                                <strong>Neobrađen tip</strong>
                                                            @endif
                                                        @else
                                                            <p style="font-size: 15px;">
                                                                @if($attributeDefinition->type == 'date')
                                                                    {{ formatDateString($resourceViewableAttributeValue) }}
                                                                @else
                                                                    {{ $resourceViewableAttributeValue }}
                                                                @endif
                                                            </p>
                                                        @endif
                                                    </div>
                                                </div>
                                            @endforeach
                                        @else
                                            {{-- Korisnik nema evidentiran podatak, ali provjeri može li ga dodati --}}
                                            @if($attributeDefinition->change[$bindType] == 'true')

                                                {{-- Ako je multiple dozvoljen, onda koristi array sintaksu za name. Inače, samo naziv ključa. --}}
                                                @php($currentElementNameAttribute = $attributeDefinition->multiple == 'true' ? $viewableAttributeKey .'[0]' : $viewableAttributeKey)

                                                <div class="row form-group aosi-single-attribute">
                                                    <div class="col-sm-12">

                                                        {{-- Ovisno o tipu podatka, prikaži različit tip elementa na formi --}}
                                                        {{-- Za atribute s prefiksom moram napraviti posebne input-e --}}
                                                        @if(array_key_exists($viewableAttributeKey, $prefixedAttributes))
                                                            <div class="form-group row req aosi-hredupersonuniquenumber" >
                                                                <div class="col-sm-4">
                                                                    <select name="{{ $currentElementNameAttribute }}[prefix]"
                                                                            class="form-control aosi-form-control"
                                                                            data-name-postfix="[prefix]">
                                                                        <option value=""></option>
                                                                        @foreach($attributeDefinition->{$prefixedAttributes[$viewableAttributeKey]} as $prefix)
                                                                            <option value="{{ $prefix }}"
                                                                            >{{ $prefix }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                                <div class="col-sm-8">
                                                                    <input type="text"
                                                                           class="form-control aosi-form-control"
                                                                           name="{{ $currentElementNameAttribute }}[value]"
                                                                           data-name-postfix="[value]"/>
                                                                </div>
                                                            </div>
                                                        @elseif($attributeDefinition->type == 'string')
                                                            <input type="text"
                                                                   class="form-control ja aosi-form-control"
                                                                   value=""
                                                                   name="{{ $currentElementNameAttribute }}" />
                                                        @elseif($attributeDefinition->type == 'vocabulary')
                                                            {{-- Vocabulary je select --}}
                                                            <select class="form-control aosi-form-control"
                                                                    name="{{ $currentElementNameAttribute }}">
                                                                @if($attributeDefinition->must == 'false')
                                                                    <option value=""></option>
                                                                @endif
                                                                @foreach($attributeDefinition->vocabulary as $vocabularyKey => $vocabularyValue)
                                                                    <option value="{{ $vocabularyKey }}">
                                                                        {{ $vocabularyValue }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        @elseif($attributeDefinition->type == 'binary')
                                                            <input type="file"
                                                                   class="form-control-file aosi-form-control"
                                                                   name="{{ $currentElementNameAttribute }}" />
                                                        @elseif($attributeDefinition->type == 'date')
                                                            <input type="text"
                                                                   class="form-control ja aosi-date-picker"
                                                                   name="{{ $currentElementNameAttribute }}" />
                                                        @else
                                                            <strong>Neobrađen tip</strong>
                                                        @endif
                                                    </div>
                                                </div>
                                            @endif
                                        @endif

                                        @if($attributeDefinition->multiple == 'true' && $attributeDefinition->change[$bindType] == 'true')
                                            <div class="fileupload add-new-plus aosi-adder">
                                                <span><i class="zmdi zmdi-plus zmdi-hc-fw"></i></span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            @endforeach

                            <p>
                                <small>Atributi označeni <b>*</b> su obavezni</small>
                            </p>
                            <button type="submit" class="btn btn-primary">
                                Ažuriraj
                            </button>
                            <button type="reset" class="btn btn-secondary">
                                Odustani
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="pictureModal" tabindex="-1" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title pull-left">Slika</h5>
            </div>
            <div class="modal-body text-center">

                <img src=""
                     class="img-fluid rounded"
                     alt="slika">

            </div>

        </div>
    </div>
</div>


@push('head_stack')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
@endpush

@push('tail_stack')
    <!-- Javascript -->
    <script>
        $(function () {
            // Obrada dodavanja novog elementa za dodavanje atributa.
            $('.aosi-adder').click(function(event) {
                var adder = $(this);
                var attributeContainer = adder.closest('.aosi-attribute-container');
                var singleAttributeRow = attributeContainer.children('.aosi-single-attribute').first();
                var newAttributeRow = singleAttributeRow.clone();
                var formControlElement = newAttributeRow.find('.aosi-form-control');

                formControlElement.val('');
                // Neki inputi su po defaultu onemogućeni (npr. skriveni input za file upload), pa ga omogući.
                formControlElement.prop('disabled', false);

                // Razluči ime obzirom na trenutni broj atributa
                var namePrefix = attributeContainer.data('attribute-key');
                var nameindex = attributeContainer.children('.aosi-single-attribute').length;
                formControlElement.attr('name', namePrefix + '[' + nameindex + ']');

                // Za hrEduPersonUniqueNumber je potrebno dodati dijelove za prefix i value na name atribut.
                formControlElement.each(function () {
                    if ($(this).data('name-postfix')) {
                        var fullName = $(this).attr('name') + $(this).data('name-postfix');
                        $(this).attr('name', fullName);
                    }
                })

                newAttributeRow.insertBefore(adder);
                // Neki elemeneti su po defaltu skriveni (npr. input za file upload), pa ga prikaži.
                newAttributeRow.show();
            });


            // Obrada prikaza pojedine slike
            $('#pictureModal').on('show.bs.modal', function (event) {
                var modal = $(this);
                modal.find('.modal-body img').attr('src', '');

                var route = '{{ $pictureShowUrl }}';
                var button = $(event.relatedTarget); // Button that triggered the modal
                var pictureHash = button.data('picture-hash'); // Extract info from data-* attributes

                modal.find('.modal-body img').attr('src', route + '/' + pictureHash);
            });

            // Obrada brisanja slike
            // TODO mivanci alert o uspješnosi po uzoru na Matiju
            $('.aosi-picture-delete').click(function(event) {

                var shouldDelete = confirm('Jeste li sigurni?');

                if (shouldDelete) {
                    var deleteButton = $(this);
                    var pictureHash = deleteButton.data('picture-hash');
                    var url = '{{ $pictureDeleteUrl }}' + '/' + pictureHash;
                    var postData = {
                        '_method': 'delete',
                        '_token': '{{ csrf_token() }}'
                    };

                    $.post(url, postData)
                        .done(function (data) {
                            deleteButton.closest('.aosi-single-attribute').remove();
                        })
                        .fail(function (error) {
                            var message = 'Brisanje nije uspjelo. '
                            message += error.responseJSON.message;
                            alert(message);
                        }, 'json');
                }
            });

            // Obrada prikaza obaveznih/svih atributa
            $('#mandatoryOrAllDisplaySwitcher').click(toogleOptionalInputs);
            toogleOptionalInputs();

            // Inicijalizacija kalendara
            $('.aosi-date-picker').flatpickr({
                dateFormat: '{{ \App\Helpers\AosiCoreHelper::getDefaultDateFormat() }}',
                allowInput: true,
                locale: 'hr'
            });
        });

        function toogleOptionalInputs() {
            var switcher = $('#mandatoryOrAllDisplaySwitcher');
            var optionals = $('.aosi-optional');
            var optionalInputs = optionals.find(':input');
            var icon = switcher.find('.zmdi-filter-list').first();
            var text = switcher.find('.breadcrumb-item').first();

            if (1 == switcher.data('show-mandatory-only')) {
                // Sakrij sve redove s opcionalnim atributima.
                switcher.data('show-mandatory-only', 0);
                optionals.hide();

                icon.toggleClass('zmdi-hc-flip-vertical');
                text.text('Prikaži sve atribute');

                // Onemogući inpute kako se nebi slali na server
                optionalInputs.prop("disabled", true);
            } else {
                // Prikaži opcionalne atribute
                switcher.data('show-mandatory-only', 1);
                optionals.show();

                icon.toggleClass('zmdi-hc-flip-vertical');
                text.text('Prikaži samo obavezne atribute');

                // Omogući inpute kako bi se slali na server
                optionalInputs.prop("disabled", false);
            }
        }
    </script>
    <!-- ../vendors -->
    <script src="{{ asset('vendors/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/bootstrap/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/flot/jquery.flot.js') }}"></script>
    <script src="{{ asset('vendors/flot/jquery.flot.resize.js') }}"></script>
    <script src="{{ asset('vendors/flot.curvedlines/curvedLines.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/easy-pie-chart/jquery.easypiechart.min.js') }}"></script>
    <script src="{{ asset('vendors/salvattore/salvattore.min.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/hr.js') }}"></script>
    <script src="{{ asset('js/app.min.js') }}"></script>
@endpush
