@extends ('_layouts.app')

@section('head')
    <link rel="stylesheet" href="{{ asset('vendors/flatpickr/flatpickr.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/rateyo/jquery.rateyo.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendors/sweetalert2/sweetalert2.min.css') }}">
@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                <div class="row">
                    <div class="col-12">
                        <h5 class="m-t-0 header-title">Promjena zaporke</h5>
                        <div class="p-2">
                            <p class="leadText">
                                Za promjenu zaporke u prvo polje upišite staru zaporku, a u slijedeća dva
                                novu i kliknite na gumb Promjeni.
                                {{ $passwordParameters['newPassword']['description'] }}.
                                Da bi se zaporka promjenila, u oba polja za upis nove zaporke mora biti upisana
                                ISTA zaporka.
                            </p>
                            <form action="{{ route('user.password.update') }}"
                                  method="POST"
                                  class="form-horizontal"
                                  role="form">

                                {{ csrf_field() }}
                                {{ method_field('put') }}

                                <div class="form-group row req">
                                    <label class="col-sm-6  col-form-label">
                                        <div class="ikonaInfo">
                                            Stara zaporka
                                        </div>
                                    </label>
                                    {{--Primjer za validaciju --}}
{{--                                    <div class="col-sm-6">--}}

{{--                                        <input type="text" class="form-control  is-invalid " value="" />--}}
{{--                                        <div class="invalid-feedback promjenaLozinke">Niste upisali staru--}}
{{--                                            lozinku</div>--}}
{{--                                    </div>--}}
                                    <div class="col-sm-6">
                                        <input type="password"
                                               class="form-control"
                                               maxlength="{{ $passwordParameters['maxLength'] }}"
                                               pattern="{{ $passwordParameters['oldPassword']['pattern'] }}"
                                               title="{{ $passwordParameters['oldPassword']['description'] }}"
                                               required
                                               name="old_password"
                                               placeholder="Upišite staru zaporku"/>
                                    </div>
                                </div>
                                <div class="form-group row req">
                                    <label class="col-sm-6  col-form-label">
                                        <div class="ikonaInfo">
                                            Nova zaporka
                                        </div>
                                    </label>
                                    <div class="col-sm-6">
                                        <input type="password"
                                               class="form-control"
                                               maxlength="{{ $passwordParameters['maxLength'] }}"
                                               pattern="{{ $passwordParameters['newPassword']['pattern'] }}"
                                               title="{{ $passwordParameters['newPassword']['description'] }}"
                                               required
                                               name="new_password"
                                               placeholder="Upišite novu zaporku"/>
                                    </div>
                                </div>
                                <div class="form-group row req">
                                    <label class="col-sm-6  col-form-label">
                                        <div class="ikonaInfo">
                                            Nova zaporka
                                        </div>
                                    </label>
                                    <div class="col-sm-6">
                                        <input type="password"
                                               class="form-control"
                                               maxlength="{{ $passwordParameters['maxLength'] }}"
                                               pattern="{{ $passwordParameters['newPassword']['pattern'] }}"
                                               title="{{ $passwordParameters['newPassword']['description'] }}"
                                               required
                                               name="new_password_2"
                                               placeholder="Ponovite novu zaporku"/>
                                    </div>
                                </div>
                                <button id="sa-success" type="submit" class="btn btn-primary">
                                    Promjeni
                                </button>
                                <button type="reset" class="btn btn-secondary">
                                    Poništi
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('tail')

    <script type="text/javascript">

    </script>

    <script src="{{ asset('vendors/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.print.min.js') }}"></script>
    <script src="{{ asset('vendors/jszip/jszip.min.js') }}"></script>
    <script src="{{ asset('vendors/datatables-buttons/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('vendors/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollbar/jquery.scrollbar.min.js') }}"></script>
    <script src="{{ asset('vendors/jquery-scrollLock/jquery-scrollLock.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/jquery.vmap.min.js') }}"></script>
    <script src="{{ asset('vendors/jqvmap/maps/jquery.vmap.world.js') }}"></script>
    <script src="{{ asset('vendors/sparkline/jquery.sparkline.min.js') }}"></script>
    <script src="{{ asset('vendors/moment/moment.min.js') }}"></script>
    <script src="{{ asset('vendors/flatpickr/flatpickr.min.js') }}"></script>
    <script src="{{ asset('vendors/rateyo/jquery.rateyo.min.js') }}"></script>
    <script src="{{ asset('vendors/sweetalert2/sweetalert2.min.js') }}"></script>
@stop